!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 12:50             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 112

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1031)
  integer, parameter :: nGC_10 = 1
  integer, parameter :: nGC_12 = 2
  integer, parameter :: nGC_3 = 3
  integer, parameter :: nGC_5 = 4
  integer, parameter :: nGC_25 = 5
  integer, parameter :: nGC_18 = 6
  integer, parameter :: nGC_29 = 7
  integer, parameter :: nGC_19 = 8
  integer, parameter :: nGC_4 = 9
  integer, parameter :: nGC_16 = 10
  integer, parameter :: nGC_30 = 11
  integer, parameter :: nGC_31 = 12
  integer, parameter :: nGC_43 = 13
  integer, parameter :: nGC_24 = 14
  integer, parameter :: nGC_32 = 15
  integer, parameter :: nGC_33 = 16
  integer, parameter :: nGC_44 = 17
  integer, parameter :: nGC_15 = 18
  integer, parameter :: nGC_13 = 19
  integer, parameter :: nGC_14 = 20
  integer, parameter :: nGC_3448 = 21
  integer, parameter :: nGC_48 = 22
  integer, parameter :: nGC_49 = 23
  integer, parameter :: nGC_6 = 24
  integer, parameter :: nGC_28 = 25
  integer, parameter :: nGC_27 = 26
  integer, parameter :: nGC_51 = 27
  integer, parameter :: nGC_22 = 28
  integer, parameter :: nGC_21 = 29
  integer, parameter :: nGC_26 = 30
  integer, parameter :: nGC_20 = 31
  integer, parameter :: nGC_17 = 32
  integer, parameter :: nGC_50 = 33
  integer, parameter :: nGC_42 = 34
  integer, parameter :: nGC_37 = 35
  integer, parameter :: nGC_40 = 36
  integer, parameter :: nGC_9 = 37
  integer, parameter :: nGC_8 = 38
  integer, parameter :: nGC_47 = 39
  integer, parameter :: nGC_7 = 40
  integer, parameter :: nGC_46 = 41
  integer, parameter :: nGC_45 = 42
  integer, parameter :: nGC_52 = 43
  integer, parameter :: nGC_2 = 44
  integer, parameter :: nGC_1 = 45
  integer, parameter :: nGC_11 = 46
  integer, parameter :: nGC_23 = 47
  integer, parameter :: nGC_35 = 48
  integer, parameter :: nGC_39 = 49
  integer, parameter :: nGC_34 = 50
  integer, parameter :: nGC_38 = 51
  integer, parameter :: nGC_41 = 52
  integer, parameter :: nGC_36 = 53
  integer, parameter :: nGC_85 = 54
  integer, parameter :: nGC_61 = 55
  integer, parameter :: nGC_57 = 56
  integer, parameter :: nGC_73 = 57
  integer, parameter :: nGC_77 = 58
  integer, parameter :: nGC_53 = 59
  integer, parameter :: nGC_3493 = 60
  integer, parameter :: nGC_3494 = 61
  integer, parameter :: nGC_64 = 62
  integer, parameter :: nGC_62 = 63
  integer, parameter :: nGC_76 = 64
  integer, parameter :: nGC_74 = 65
  integer, parameter :: nGC_56 = 66
  integer, parameter :: nGC_54 = 67
  integer, parameter :: nGC_63 = 68
  integer, parameter :: nGC_75 = 69
  integer, parameter :: nGC_55 = 70
  integer, parameter :: nGC_65 = 71
  integer, parameter :: nGC_3516 = 72
  integer, parameter :: nGC_69 = 73
  integer, parameter :: nGC_3517 = 74
  integer, parameter :: nGC_81 = 75
  integer, parameter :: nGC_3518 = 76
  integer, parameter :: nGC_68 = 77
  integer, parameter :: nGC_66 = 78
  integer, parameter :: nGC_72 = 79
  integer, parameter :: nGC_70 = 80
  integer, parameter :: nGC_84 = 81
  integer, parameter :: nGC_82 = 82
  integer, parameter :: nGC_67 = 83
  integer, parameter :: nGC_71 = 84
  integer, parameter :: nGC_83 = 85
  integer, parameter :: nGC_86 = 86
  integer, parameter :: nGC_88 = 87
  integer, parameter :: nGC_58 = 88
  integer, parameter :: nGC_60 = 89
  integer, parameter :: nGC_78 = 90
  integer, parameter :: nGC_80 = 91
  integer, parameter :: nGC_87 = 92
  integer, parameter :: nGC_59 = 93
  integer, parameter :: nGC_79 = 94
  integer, parameter :: nGC_3549 = 95
  integer, parameter :: nGC_MH = 96
  integer, parameter :: nGC_I = 97
  integer, parameter :: nGC_MI = 98
  integer, parameter :: nGC_3552 = 99
  integer, parameter :: nGC_ME = 100
  integer, parameter :: nGC_3553 = 101
  integer, parameter :: nGC_MM = 102
  integer, parameter :: nGC_3554 = 103
  integer, parameter :: nGC_MTA = 104
  integer, parameter :: nGC_MU = 105
  integer, parameter :: nGC_MC = 106
  integer, parameter :: nGC_3559 = 107
  integer, parameter :: nGC_MT = 108
  integer, parameter :: nGC_MD = 109
  integer, parameter :: nGC_MS = 110
  integer, parameter :: nGC_3564 = 111
  integer, parameter :: nGC_MB = 112
  integer, parameter :: nGC_3565 = 113
  integer, parameter :: nGC_MZ = 114
  integer, parameter :: nGC_3566 = 115
  integer, parameter :: nGC_MW = 116
  integer, parameter :: nGC_MW_GF = 117
  integer, parameter :: nGC_MMW_GF = 118
  integer, parameter :: nGC_MZ_GF = 119
  integer, parameter :: nGC_GG = 120
  integer, parameter :: nGC_GGH = 121
  integer, parameter :: nGC_HHH = 122
  integer, parameter :: nGC_HHGG = 123
  integer, parameter :: nGC_HHHH = 124
  integer, parameter :: nGC_GPGMGPGM = 125
  integer, parameter :: nGC_164 = 126
  integer, parameter :: nGC_168 = 127
  integer, parameter :: nGC_170 = 128
  integer, parameter :: nGC_184 = 129
  integer, parameter :: nGC_190 = 130
  integer, parameter :: nGC_194 = 131
  integer, parameter :: nGC_198 = 132
  integer, parameter :: nGC_202 = 133
  integer, parameter :: nGC_206 = 134
  integer, parameter :: nGC_220 = 135
  integer, parameter :: nGC_226 = 136
  integer, parameter :: nGC_256 = 137
  integer, parameter :: nGC_1112 = 138
  integer, parameter :: nGC_1122 = 139
  integer, parameter :: nGC_1246 = 140
  integer, parameter :: nGC_1406 = 141
  integer, parameter :: nGC_1418 = 142
  integer, parameter :: nGC_4824 = 143
  integer, parameter :: nGC_4832 = 144
  integer, parameter :: nGC_4850 = 145
  integer, parameter :: nGC_5054 = 146
  integer, parameter :: nGC_5094 = 147
  integer, parameter :: nGC_5102 = 148
  integer, parameter :: nGC_5109 = 149
  integer, parameter :: nGC_5110 = 150
  integer, parameter :: nGC_5114 = 151
  integer, parameter :: nGC_5129 = 152
  integer, parameter :: nGC_5130 = 153
  integer, parameter :: nGC_5148 = 154
  integer, parameter :: nGC_5149 = 155
  integer, parameter :: nGC_5162 = 156
  integer, parameter :: nGC_5165 = 157
  integer, parameter :: nGC_5161 = 158
  integer, parameter :: nGC_5164 = 159
  integer, parameter :: nGC_5163 = 160
  integer, parameter :: nGC_5166 = 161
  integer, parameter :: nGC_5172 = 162
  integer, parameter :: nGC_5175 = 163
  integer, parameter :: nGC_5179 = 164
  integer, parameter :: nGC_5176 = 165
  integer, parameter :: nGC_5180 = 166
  integer, parameter :: nGC_5185 = 167
  integer, parameter :: nGC_5188 = 168
  integer, parameter :: nGC_5186 = 169
  integer, parameter :: nGC_5189 = 170
  integer, parameter :: nGC_5197 = 171
  integer, parameter :: nGC_5201 = 172
  integer, parameter :: nGC_5196 = 173
  integer, parameter :: nGC_5200 = 174
  integer, parameter :: nGC_5208 = 175
  integer, parameter :: nGC_5209 = 176
  integer, parameter :: nGC_5221 = 177
  integer, parameter :: nGC_5224 = 178
  integer, parameter :: nGC_5222 = 179
  integer, parameter :: nGC_5225 = 180
  integer, parameter :: nGC_5223 = 181
  integer, parameter :: nGC_5226 = 182
  integer, parameter :: nGC_5232 = 183
  integer, parameter :: nGC_5236 = 184
  integer, parameter :: nGC_5240 = 185
  integer, parameter :: nGC_5235 = 186
  integer, parameter :: nGC_5239 = 187
  integer, parameter :: nGC_5245 = 188
  integer, parameter :: nGC_5248 = 189
  integer, parameter :: nGC_5246 = 190
  integer, parameter :: nGC_5249 = 191
  integer, parameter :: nGC_5256 = 192
  integer, parameter :: nGC_5260 = 193
  integer, parameter :: nGC_5257 = 194
  integer, parameter :: nGC_5261 = 195
  integer, parameter :: nGC_5268 = 196
  integer, parameter :: nGC_5269 = 197
  integer, parameter :: nGC_5282 = 198
  integer, parameter :: nGC_5284 = 199
  integer, parameter :: nGC_5281 = 200
  integer, parameter :: nGC_5283 = 201
  integer, parameter :: nGC_5296 = 202
  integer, parameter :: nGC_5298 = 203
  integer, parameter :: nGC_5297 = 204
  integer, parameter :: nGC_5299 = 205
  integer, parameter :: nGC_5311 = 206
  integer, parameter :: nGC_5313 = 207
  integer, parameter :: nGC_5310 = 208
  integer, parameter :: nGC_5312 = 209
  integer, parameter :: nGC_5325 = 210
  integer, parameter :: nGC_5327 = 211
  integer, parameter :: nGC_5324 = 212
  integer, parameter :: nGC_5326 = 213
  integer, parameter :: nGC_5341 = 214
  integer, parameter :: nGC_5340 = 215
  integer, parameter :: nGC_5346 = 216
  integer, parameter :: nGC_5345 = 217
  integer, parameter :: nGC_5378 = 218
  integer, parameter :: nGC_3482 = 219
  integer, parameter :: nGC_3485 = 220
  integer, parameter :: nGC_3488 = 221
  integer, parameter :: nGC_3491 = 222
  integer, parameter :: nGC_5419 = 223
  integer, parameter :: nGC_5420 = 224
  integer, parameter :: nGC_5458 = 225
  integer, parameter :: nGC_5457 = 226
  integer, parameter :: nGC_5468 = 227
  integer, parameter :: nGC_5469 = 228
  integer, parameter :: nGC_5478 = 229
  integer, parameter :: nGC_5485 = 230
  integer, parameter :: nGC_5488 = 231
  integer, parameter :: nGC_5491 = 232
  integer, parameter :: nGC_5511 = 233
  integer, parameter :: nGC_5517 = 234
  integer, parameter :: nGC_5523 = 235
  integer, parameter :: nGC_5588 = 236
  integer, parameter :: nGC_5589 = 237
  integer, parameter :: nGC_5600 = 238
  integer, parameter :: nGC_5599 = 239
  integer, parameter :: nGC_5609 = 240
  integer, parameter :: nGC_5623 = 241
  integer, parameter :: nGC_5622 = 242
  integer, parameter :: nGC_5624 = 243
  integer, parameter :: nGC_5625 = 244
  integer, parameter :: nGC_5626 = 245
  integer, parameter :: nGC_5627 = 246
  integer, parameter :: nGC_5628 = 247
  integer, parameter :: nGC_5629 = 248
  integer, parameter :: nGC_5632 = 249
  integer, parameter :: nGC_5633 = 250
  integer, parameter :: nGC_5634 = 251
  integer, parameter :: nGC_5635 = 252
  integer, parameter :: nGC_5638 = 253
  integer, parameter :: nGC_5639 = 254
  integer, parameter :: nGC_5640 = 255
  integer, parameter :: nGC_5641 = 256
  integer, parameter :: nGC_5644 = 257
  integer, parameter :: nGC_5645 = 258
  integer, parameter :: nGC_5646 = 259
  integer, parameter :: nGC_5647 = 260
  integer, parameter :: nGC_3555 = 261
  integer, parameter :: nGC_5652 = 262
  integer, parameter :: nGC_5654 = 263
  integer, parameter :: nGC_5656 = 264
  integer, parameter :: nGC_5658 = 265
  integer, parameter :: nGC_3556 = 266
  integer, parameter :: nGC_5653 = 267
  integer, parameter :: nGC_5655 = 268
  integer, parameter :: nGC_5657 = 269
  integer, parameter :: nGC_5659 = 270
  integer, parameter :: nGC_3557 = 271
  integer, parameter :: nGC_5664 = 272
  integer, parameter :: nGC_5666 = 273
  integer, parameter :: nGC_5668 = 274
  integer, parameter :: nGC_5670 = 275
  integer, parameter :: nGC_3558 = 276
  integer, parameter :: nGC_5665 = 277
  integer, parameter :: nGC_5667 = 278
  integer, parameter :: nGC_5669 = 279
  integer, parameter :: nGC_5671 = 280
  integer, parameter :: nGC_5674 = 281
  integer, parameter :: nGC_5675 = 282
  integer, parameter :: nGC_5676 = 283
  integer, parameter :: nGC_5677 = 284
  integer, parameter :: nGC_3560 = 285
  integer, parameter :: nGC_5682 = 286
  integer, parameter :: nGC_5684 = 287
  integer, parameter :: nGC_5686 = 288
  integer, parameter :: nGC_5688 = 289
  integer, parameter :: nGC_3561 = 290
  integer, parameter :: nGC_5683 = 291
  integer, parameter :: nGC_5685 = 292
  integer, parameter :: nGC_5687 = 293
  integer, parameter :: nGC_5689 = 294
  integer, parameter :: nGC_3562 = 295
  integer, parameter :: nGC_5694 = 296
  integer, parameter :: nGC_5696 = 297
  integer, parameter :: nGC_5698 = 298
  integer, parameter :: nGC_5700 = 299
  integer, parameter :: nGC_3563 = 300
  integer, parameter :: nGC_5695 = 301
  integer, parameter :: nGC_5697 = 302
  integer, parameter :: nGC_5699 = 303
  integer, parameter :: nGC_5701 = 304
  integer, parameter :: nGC_5704 = 305
  integer, parameter :: nGC_5705 = 306
  integer, parameter :: nGC_5706 = 307
  integer, parameter :: nGC_5707 = 308
  integer, parameter :: nGC_5708 = 309
  integer, parameter :: nGC_5709 = 310
  integer, parameter :: nGC_5710 = 311
  integer, parameter :: nGC_5711 = 312
  integer, parameter :: nGC_5712 = 313
  integer, parameter :: nGC_5716 = 314
  integer, parameter :: nGC_5715 = 315
  integer, parameter :: nGC_5717 = 316
  integer, parameter :: nGC_5724 = 317
  integer, parameter :: nGC_5723 = 318
  integer, parameter :: nGC_5725 = 319
  integer, parameter :: nGC_5726 = 320
  integer, parameter :: nGC_5727 = 321
  integer, parameter :: nGC_5738 = 322
  integer, parameter :: nGC_7169 = 323
  integer, parameter :: nGC_3189 = 324
  integer, parameter :: nGC_3190 = 325
  integer, parameter :: nGC_3191 = 326
  integer, parameter :: nGC_3192 = 327
  integer, parameter :: nGC_3193 = 328
  integer, parameter :: nGC_3194 = 329
  integer, parameter :: nGC_3195 = 330
  integer, parameter :: nGC_3196 = 331
  integer, parameter :: nGC_3197 = 332
  integer, parameter :: nGC_3198 = 333
  integer, parameter :: nGC_3199 = 334
  integer, parameter :: nGC_3200 = 335
  integer, parameter :: nGC_3201 = 336
  integer, parameter :: nGC_3202 = 337
  integer, parameter :: nGC_3203 = 338
  integer, parameter :: nGC_3204 = 339
  integer, parameter :: nGC_3205 = 340
  integer, parameter :: nGC_3206 = 341
  integer, parameter :: nGC_3207 = 342
  integer, parameter :: nGC_3208 = 343
  integer, parameter :: nGC_3209 = 344
  integer, parameter :: nGC_3210 = 345
  integer, parameter :: nGC_3211 = 346
  integer, parameter :: nGC_3212 = 347
  integer, parameter :: nGC_3213 = 348
  integer, parameter :: nGC_3214 = 349
  integer, parameter :: nGC_3215 = 350
  integer, parameter :: nGC_3216 = 351
  integer, parameter :: nGC_3217 = 352
  integer, parameter :: nGC_3218 = 353
  integer, parameter :: nGC_3219 = 354
  integer, parameter :: nGC_3220 = 355
  integer, parameter :: nGC_3221 = 356
  integer, parameter :: nGC_3222 = 357
  integer, parameter :: nGC_3223 = 358
  integer, parameter :: nGC_3224 = 359
  integer, parameter :: nGC_3225 = 360
  integer, parameter :: nGC_3226 = 361
  integer, parameter :: nGC_3227 = 362
  integer, parameter :: nGC_3228 = 363
  integer, parameter :: nGC_3229 = 364
  integer, parameter :: nGC_3230 = 365
  integer, parameter :: nGC_3231 = 366
  integer, parameter :: nGC_3232 = 367
  integer, parameter :: nGC_3233 = 368
  integer, parameter :: nGC_3234 = 369
  integer, parameter :: nGC_3235 = 370
  integer, parameter :: nGC_3236 = 371
  integer, parameter :: nGC_3237 = 372
  integer, parameter :: nGC_3238 = 373
  integer, parameter :: nGC_9360 = 374
  integer, parameter :: nGC_3239 = 375
  integer, parameter :: nGC_9368 = 376
  integer, parameter :: nGC_3240 = 377
  integer, parameter :: nGC_3241 = 378
  integer, parameter :: nGC_9381 = 379
  integer, parameter :: nGC_3242 = 380
  integer, parameter :: nGC_3243 = 381
  integer, parameter :: nGC_3244 = 382
  integer, parameter :: nGC_3245 = 383
  integer, parameter :: nGC_3246 = 384
  integer, parameter :: nGC_3247 = 385
  integer, parameter :: nGC_3248 = 386
  integer, parameter :: nGC_3249 = 387
  integer, parameter :: nGC_3250 = 388
  integer, parameter :: nGC_3251 = 389
  integer, parameter :: nGC_3252 = 390
  integer, parameter :: nGC_3253 = 391
  integer, parameter :: nGC_3254 = 392
  integer, parameter :: nGC_3255 = 393
  integer, parameter :: nGC_3256 = 394
  integer, parameter :: nGC_3257 = 395
  integer, parameter :: nGC_3258 = 396
  integer, parameter :: nGC_3259 = 397
  integer, parameter :: nGC_3260 = 398
  integer, parameter :: nGC_3261 = 399
  integer, parameter :: nGC_3262 = 400
  integer, parameter :: nGC_3263 = 401
  integer, parameter :: nGC_3264 = 402
  integer, parameter :: nGC_9528 = 403
  integer, parameter :: nGC_3265 = 404
  integer, parameter :: nGC_3266 = 405
  integer, parameter :: nGC_9541 = 406
  integer, parameter :: nGC_3267 = 407
  integer, parameter :: nGC_3268 = 408
  integer, parameter :: nGC_3269 = 409
  integer, parameter :: nGC_9560 = 410
  integer, parameter :: nGC_3270 = 411
  integer, parameter :: nGC_3271 = 412
  integer, parameter :: nGC_3273 = 413
  integer, parameter :: nGC_3272 = 414
  integer, parameter :: nGC_3274 = 415
  integer, parameter :: nGC_3275 = 416
  integer, parameter :: nGC_3277 = 417
  integer, parameter :: nGC_3276 = 418
  integer, parameter :: nGC_3278 = 419
  integer, parameter :: nGC_3279 = 420
  integer, parameter :: nGC_3280 = 421
  integer, parameter :: nGC_3281 = 422
  integer, parameter :: nGC_3282 = 423
  integer, parameter :: nGC_9639 = 424
  integer, parameter :: nGC_3283 = 425
  integer, parameter :: nGC_9647 = 426
  integer, parameter :: nGC_3284 = 427
  integer, parameter :: nGC_3285 = 428
  integer, parameter :: nGC_3286 = 429
  integer, parameter :: nGC_3287 = 430
  integer, parameter :: nGC_3288 = 431
  integer, parameter :: nGC_3289 = 432
  integer, parameter :: nGC_3290 = 433
  integer, parameter :: nGC_3291 = 434
  integer, parameter :: nGC_3292 = 435
  integer, parameter :: nGC_3293 = 436
  integer, parameter :: nGC_3294 = 437
  integer, parameter :: nGC_3295 = 438
  integer, parameter :: nGC_9740 = 439
  integer, parameter :: nGC_3296 = 440
  integer, parameter :: nGC_3297 = 441
  integer, parameter :: nGC_3298 = 442
  integer, parameter :: nGC_3300 = 443
  integer, parameter :: nGC_3299 = 444
  integer, parameter :: nGC_3301 = 445
  integer, parameter :: nGC_3302 = 446
  integer, parameter :: nGC_3304 = 447
  integer, parameter :: nGC_3303 = 448
  integer, parameter :: nGC_3305 = 449
  integer, parameter :: nGC_3306 = 450
  integer, parameter :: nGC_3307 = 451
  integer, parameter :: nGC_3308 = 452
  integer, parameter :: nGC_3309 = 453
  integer, parameter :: nGC_3310 = 454
  integer, parameter :: nGC_3312 = 455
  integer, parameter :: nGC_3311 = 456
  integer, parameter :: nGC_3313 = 457
  integer, parameter :: nGC_3314 = 458
  integer, parameter :: nGC_3315 = 459
  integer, parameter :: nGC_3316 = 460
  integer, parameter :: nGC_3317 = 461
  integer, parameter :: nGC_3318 = 462
  integer, parameter :: nGC_3320 = 463
  integer, parameter :: nGC_3319 = 464
  integer, parameter :: nGC_3321 = 465
  integer, parameter :: nGC_3322 = 466
  integer, parameter :: nGC_3323 = 467
  integer, parameter :: nGC_3324 = 468
  integer, parameter :: nGC_3325 = 469
  integer, parameter :: nGC_3326 = 470
  integer, parameter :: nGC_3327 = 471
  integer, parameter :: nGC_3328 = 472
  integer, parameter :: nGC_3329 = 473
  integer, parameter :: nGC_3330 = 474
  integer, parameter :: nGC_3331 = 475
  integer, parameter :: nGC_3332 = 476
  integer, parameter :: nGC_3333 = 477
  integer, parameter :: nGC_3334 = 478
  integer, parameter :: nGC_3335 = 479
  integer, parameter :: nGC_3336 = 480
  integer, parameter :: nGC_3337 = 481
  integer, parameter :: nGC_3338 = 482
  integer, parameter :: nGC_3339 = 483
  integer, parameter :: nGC_3340 = 484
  integer, parameter :: nGC_3341 = 485
  integer, parameter :: nGC_3342 = 486
  integer, parameter :: nGC_3343 = 487
  integer, parameter :: nGC_3344 = 488
  integer, parameter :: nGC_3345 = 489
  integer, parameter :: nGC_3346 = 490
  integer, parameter :: nGC_3347 = 491
  integer, parameter :: nGC_3348 = 492
  integer, parameter :: nGC_3349 = 493
  integer, parameter :: nGC_10051 = 494
  integer, parameter :: nGC_3350 = 495
  integer, parameter :: nGC_3351 = 496
  integer, parameter :: nGC_3352 = 497
  integer, parameter :: nGC_3353 = 498
  integer, parameter :: nGC_3354 = 499
  integer, parameter :: nGC_3355 = 500
  integer, parameter :: nGC_3356 = 501
  integer, parameter :: nGC_3357 = 502
  integer, parameter :: nGC_3359 = 503
  integer, parameter :: nGC_3358 = 504
  integer, parameter :: nGC_3360 = 505
  integer, parameter :: nGC_3361 = 506
  integer, parameter :: nGC_3362 = 507
  integer, parameter :: nGC_3363 = 508
  integer, parameter :: nGC_3365 = 509
  integer, parameter :: nGC_3364 = 510
  integer, parameter :: nGC_3366 = 511
  integer, parameter :: nGC_3367 = 512
  integer, parameter :: nGC_3368 = 513
  integer, parameter :: nGC_3369 = 514
  integer, parameter :: nGC_3370 = 515
  integer, parameter :: nGC_3371 = 516
  integer, parameter :: nGC_3372 = 517
  integer, parameter :: nGC_3373 = 518
  integer, parameter :: nGC_3374 = 519
  integer, parameter :: nGC_3375 = 520
  integer, parameter :: nGC_3376 = 521
  integer, parameter :: nGC_3377 = 522
  integer, parameter :: nGC_3378 = 523
  integer, parameter :: nGC_3379 = 524
  integer, parameter :: nGC_3380 = 525
  integer, parameter :: nGC_3381 = 526
  integer, parameter :: nGC_3382 = 527
  integer, parameter :: nGC_3383 = 528
  integer, parameter :: nGC_3384 = 529
  integer, parameter :: nGC_3385 = 530
  integer, parameter :: nGC_3386 = 531
  integer, parameter :: nGC_3387 = 532
  integer, parameter :: nGC_3388 = 533
  integer, parameter :: nGC_3389 = 534
  integer, parameter :: nGC_3390 = 535
  integer, parameter :: nGC_3391 = 536
  integer, parameter :: nGC_3392 = 537
  integer, parameter :: nGC_3393 = 538
  integer, parameter :: nGC_3394 = 539
  integer, parameter :: nGC_3395 = 540
  integer, parameter :: nGC_3396 = 541
  integer, parameter :: nGC_3397 = 542
  integer, parameter :: nGC_3398 = 543
  integer, parameter :: nGC_3399 = 544
  integer, parameter :: nGC_3400 = 545
  integer, parameter :: nGC_10472 = 546
  integer, parameter :: nGC_3401 = 547
  integer, parameter :: nGC_10474 = 548
  integer, parameter :: nGC_3402 = 549
  integer, parameter :: nGC_3403 = 550
  integer, parameter :: nGC_3404 = 551
  integer, parameter :: nGC_3405 = 552
  integer, parameter :: nGC_3406 = 553
  integer, parameter :: nGC_3407 = 554
  integer, parameter :: nGC_3408 = 555
  integer, parameter :: nGC_3409 = 556
  integer, parameter :: nGC_3410 = 557
  integer, parameter :: nGC_3411 = 558
  integer, parameter :: nGC_3412 = 559
  integer, parameter :: nGC_3413 = 560
  integer, parameter :: nGC_3414 = 561
  integer, parameter :: nGC_3415 = 562
  integer, parameter :: nGC_3416 = 563
  integer, parameter :: nGC_3417 = 564
  integer, parameter :: nGC_3418 = 565
  integer, parameter :: nGC_3419 = 566
  integer, parameter :: nGC_3420 = 567
  integer, parameter :: nGC_3421 = 568
  integer, parameter :: nGC_3422 = 569
  integer, parameter :: nGC_3423 = 570
  integer, parameter :: nGC_3424 = 571
  integer, parameter :: nGC_3425 = 572
  integer, parameter :: nGC_3426 = 573
  integer, parameter :: nGC_3427 = 574
  integer, parameter :: nGC_3428 = 575
  integer, parameter :: nGC_3047 = 576
  integer, parameter :: nGC_3050 = 577
  integer, parameter :: nGC_3044 = 578
  integer, parameter :: nGC_3046 = 579
  integer, parameter :: nGC_3080 = 580
  integer, parameter :: nGC_3079 = 581
  integer, parameter :: nGC_3081 = 582
  integer, parameter :: nGC_3062 = 583
  integer, parameter :: nGC_3063 = 584
  integer, parameter :: nGC_3088 = 585
  integer, parameter :: nGC_3089 = 586
  integer, parameter :: nGC_3087 = 587
  integer, parameter :: nGC_3067 = 588
  integer, parameter :: nGC_3068 = 589
  integer, parameter :: nGC_3066 = 590
  integer, parameter :: nGC_3049 = 591
  integer, parameter :: nGC_3060 = 592
  integer, parameter :: nGC_3061 = 593
  integer, parameter :: nGC_3093 = 594
  integer, parameter :: nGC_3092 = 595
  integer, parameter :: nGC_3094 = 596
  integer, parameter :: nGC_3098 = 597
  integer, parameter :: nGC_3100 = 598
  integer, parameter :: nGC_3099 = 599
  integer, parameter :: nGC_3137 = 600
  integer, parameter :: nGC_3136 = 601
  integer, parameter :: nGC_3135 = 602
  integer, parameter :: nGC_3138 = 603
  integer, parameter :: nGC_3083 = 604
  integer, parameter :: nGC_3082 = 605
  integer, parameter :: nGC_3084 = 606
  integer, parameter :: nGC_3097 = 607
  integer, parameter :: nGC_3096 = 608
  integer, parameter :: nGC_3095 = 609
  integer, parameter :: nGC_3108 = 610
  integer, parameter :: nGC_3109 = 611
  integer, parameter :: nGC_3107 = 612
  integer, parameter :: nGC_3140 = 613
  integer, parameter :: nGC_3141 = 614
  integer, parameter :: nGC_3142 = 615
  integer, parameter :: nGC_3143 = 616
  integer, parameter :: nGC_3057 = 617
  integer, parameter :: nGC_3056 = 618
  integer, parameter :: nGC_3151 = 619
  integer, parameter :: nGC_3152 = 620
  integer, parameter :: nGC_3154 = 621
  integer, parameter :: nGC_3153 = 622
  integer, parameter :: nGC_3055 = 623
  integer, parameter :: nGC_3091 = 624
  integer, parameter :: nGC_3090 = 625
  integer, parameter :: nGC_3086 = 626
  integer, parameter :: nGC_3085 = 627
  integer, parameter :: nGC_3162 = 628
  integer, parameter :: nGC_3163 = 629
  integer, parameter :: nGC_3161 = 630
  integer, parameter :: nGC_3075 = 631
  integer, parameter :: nGC_3076 = 632
  integer, parameter :: nGC_3071 = 633
  integer, parameter :: nGC_3072 = 634
  integer, parameter :: nGC_3074 = 635
  integer, parameter :: nGC_3073 = 636
  integer, parameter :: nGC_3070 = 637
  integer, parameter :: nGC_3069 = 638
  integer, parameter :: nGC_3064 = 639
  integer, parameter :: nGC_3065 = 640
  integer, parameter :: nGC_3155 = 641
  integer, parameter :: nGC_3156 = 642
  integer, parameter :: nGC_3157 = 643
  integer, parameter :: nGC_3131 = 644
  integer, parameter :: nGC_3132 = 645
  integer, parameter :: nGC_3133 = 646
  integer, parameter :: nGC_3114 = 647
  integer, parameter :: nGC_3115 = 648
  integer, parameter :: nGC_3116 = 649
  integer, parameter :: nGC_3125 = 650
  integer, parameter :: nGC_3127 = 651
  integer, parameter :: nGC_3126 = 652
  integer, parameter :: nGC_3058 = 653
  integer, parameter :: nGC_3059 = 654
  integer, parameter :: nGC_3052 = 655
  integer, parameter :: nGC_3051 = 656
  integer, parameter :: nGC_3150 = 657
  integer, parameter :: nGC_3148 = 658
  integer, parameter :: nGC_3149 = 659
  integer, parameter :: nGC_3054 = 660
  integer, parameter :: nGC_3053 = 661
  integer, parameter :: nGC_3158 = 662
  integer, parameter :: nGC_3159 = 663
  integer, parameter :: nGC_3160 = 664
  integer, parameter :: nGC_3146 = 665
  integer, parameter :: nGC_3145 = 666
  integer, parameter :: nGC_3147 = 667
  integer, parameter :: nGC_3167 = 668
  integer, parameter :: nGC_3169 = 669
  integer, parameter :: nGC_3170 = 670
  integer, parameter :: nGC_3168 = 671
  integer, parameter :: nGC_3048 = 672
  integer, parameter :: nGC_3045 = 673
  integer, parameter :: nGC_112 = 674
  integer, parameter :: nGC_3078 = 675
  integer, parameter :: nGC_3077 = 676
  integer, parameter :: nGC_3112 = 677
  integer, parameter :: nGC_3111 = 678
  integer, parameter :: nGC_3110 = 679
  integer, parameter :: nGC_3119 = 680
  integer, parameter :: nGC_3118 = 681
  integer, parameter :: nGC_3120 = 682
  integer, parameter :: nGC_3103 = 683
  integer, parameter :: nGC_3101 = 684
  integer, parameter :: nGC_3102 = 685
  integer, parameter :: nGC_3121 = 686
  integer, parameter :: nGC_3123 = 687
  integer, parameter :: nGC_3122 = 688
  integer, parameter :: nGC_3130 = 689
  integer, parameter :: nGC_3128 = 690
  integer, parameter :: nGC_3129 = 691
  integer, parameter :: nGC_3105 = 692
  integer, parameter :: nGC_3106 = 693
  integer, parameter :: nGC_3104 = 694
  integer, parameter :: nGC_3166 = 695
  integer, parameter :: nGC_3165 = 696
  integer, parameter :: nGC_3164 = 697
  integer, parameter :: nGC_3181 = 698
  integer, parameter :: nGC_3178 = 699
  integer, parameter :: nGC_3182 = 700
  integer, parameter :: nGC_3180 = 701
  integer, parameter :: nGC_3124 = 702
  integer, parameter :: nGC_3113 = 703
  integer, parameter :: nGC_3177 = 704
  integer, parameter :: nGC_3179 = 705
  integer, parameter :: nGC_3117 = 706
  integer, parameter :: nGC_3186 = 707
  integer, parameter :: nGC_3188 = 708
  integer, parameter :: nGC_3184 = 709
  integer, parameter :: nGC_144 = 710
  integer, parameter :: nGC_148 = 711
  integer, parameter :: nGC_152 = 712
  integer, parameter :: nGC_3481 = 713
  integer, parameter :: nGC_3484 = 714
  integer, parameter :: nGC_3483 = 715
  integer, parameter :: nGC_3486 = 716
  integer, parameter :: nGC_3487 = 717
  integer, parameter :: nGC_3490 = 718
  integer, parameter :: nGC_3489 = 719
  integer, parameter :: nGC_3492 = 720
  integer, parameter :: nGC_3174 = 721
  integer, parameter :: nGC_3176 = 722
  integer, parameter :: nGC_3497 = 723
  integer, parameter :: nGC_3500 = 724
  integer, parameter :: nGC_3187 = 725
  integer, parameter :: nGC_3183 = 726
  integer, parameter :: nGC_3503 = 727
  integer, parameter :: nGC_3506 = 728
  integer, parameter :: nGC_3175 = 729
  integer, parameter :: nGC_3510 = 730
  integer, parameter :: nGC_3185 = 731
  integer, parameter :: nGC_3513 = 732
  integer, parameter :: nGC_3134 = 733
  integer, parameter :: nGC_3144 = 734
  integer, parameter :: nGC_3530 = 735
  integer, parameter :: nGC_3533 = 736
  integer, parameter :: nGC_3171 = 737
  integer, parameter :: nGC_3173 = 738
  integer, parameter :: nGC_3536 = 739
  integer, parameter :: nGC_3539 = 740
  integer, parameter :: nGC_3139 = 741
  integer, parameter :: nGC_3543 = 742
  integer, parameter :: nGC_3172 = 743
  integer, parameter :: nGC_3546 = 744
  integer, parameter :: nGC_3429 = 745
  integer, parameter :: nGC_3430 = 746
  integer, parameter :: nGC_3431 = 747
  integer, parameter :: nGC_3432 = 748
  integer, parameter :: nGC_3433 = 749
  integer, parameter :: nGC_3434 = 750
  integer, parameter :: nGC_3435 = 751
  integer, parameter :: nGC_3436 = 752
  integer, parameter :: nGC_3437 = 753
  integer, parameter :: nGC_3438 = 754
  integer, parameter :: nGC_3439 = 755
  integer, parameter :: nGC_3440 = 756
  integer, parameter :: nGC_3441 = 757
  integer, parameter :: nGC_3442 = 758
  integer, parameter :: nGC_3443 = 759
  integer, parameter :: nGC_3444 = 760
  integer, parameter :: nGC_3445 = 761
  integer, parameter :: nGC_3446 = 762
  integer, parameter :: nGC_3447 = 763
  integer, parameter :: nGC_3449 = 764
  integer, parameter :: nGC_3450 = 765
  integer, parameter :: nGC_3451 = 766
  integer, parameter :: nGC_3452 = 767
  integer, parameter :: nGC_3453 = 768
  integer, parameter :: nGC_3454 = 769
  integer, parameter :: nGC_3455 = 770
  integer, parameter :: nGC_3456 = 771
  integer, parameter :: nGC_3457 = 772
  integer, parameter :: nGC_3458 = 773
  integer, parameter :: nGC_3459 = 774
  integer, parameter :: nGC_3460 = 775
  integer, parameter :: nGC_3461 = 776
  integer, parameter :: nGC_3462 = 777
  integer, parameter :: nGC_3463 = 778
  integer, parameter :: nGC_3464 = 779
  integer, parameter :: nGC_3465 = 780
  integer, parameter :: nGC_3466 = 781
  integer, parameter :: nGC_3467 = 782
  integer, parameter :: nGC_3468 = 783
  integer, parameter :: nGC_3469 = 784
  integer, parameter :: nGC_3470 = 785
  integer, parameter :: nGC_3471 = 786
  integer, parameter :: nGC_3472 = 787
  integer, parameter :: nGC_3473 = 788
  integer, parameter :: nGC_3474 = 789
  integer, parameter :: nGC_3475 = 790
  integer, parameter :: nGC_3476 = 791
  integer, parameter :: nGC_3477 = 792
  integer, parameter :: nGC_3478 = 793
  integer, parameter :: nGC_3479 = 794
  integer, parameter :: nGC_3480 = 795
  integer, parameter :: nGC_3507 = 796
  integer, parameter :: nGC_3508 = 797
  integer, parameter :: nGC_3515 = 798
  integer, parameter :: nGC_3519 = 799
  integer, parameter :: nGC_3520 = 800
  integer, parameter :: nGC_3521 = 801
  integer, parameter :: nGC_3522 = 802
  integer, parameter :: nGC_3523 = 803
  integer, parameter :: nGC_3524 = 804
  integer, parameter :: nGC_3525 = 805
  integer, parameter :: nGC_3526 = 806
  integer, parameter :: nGC_3527 = 807
  integer, parameter :: nGC_3540 = 808
  integer, parameter :: nGC_3541 = 809
  integer, parameter :: nGC_3548 = 810
  integer, parameter :: nGC_3567 = 811
  integer, parameter :: nGC_3568 = 812
  integer, parameter :: nGC_3569 = 813
  integer, parameter :: nGC_4795 = 814
  integer, parameter :: nGC_4800 = 815
  integer, parameter :: nGC_4801 = 816
  integer, parameter :: nGC_4804 = 817
  integer, parameter :: nGC_4805 = 818
  integer, parameter :: nGC_4817 = 819
  integer, parameter :: nGC_4821 = 820
  integer, parameter :: nGC_4825 = 821
  integer, parameter :: nGC_4826 = 822
  integer, parameter :: nGC_4827 = 823
  integer, parameter :: nGC_4833 = 824
  integer, parameter :: nGC_4834 = 825
  integer, parameter :: nGC_4835 = 826
  integer, parameter :: nGC_4844 = 827
  integer, parameter :: nGC_4845 = 828
  integer, parameter :: nGC_4853 = 829
  integer, parameter :: nGC_4854 = 830
  integer, parameter :: nGC_4855 = 831
  integer, parameter :: nGC_4868 = 832
  integer, parameter :: nGC_4869 = 833
  integer, parameter :: nGC_4872 = 834
  integer, parameter :: nGC_4873 = 835
  integer, parameter :: nGC_4880 = 836
  integer, parameter :: nGC_4884 = 837
  integer, parameter :: nGC_4885 = 838
  integer, parameter :: nGC_4889 = 839
  integer, parameter :: nGC_4890 = 840
  integer, parameter :: nGC_4894 = 841
  integer, parameter :: nGC_4895 = 842
  integer, parameter :: nGC_4905 = 843
  integer, parameter :: nGC_4906 = 844
  integer, parameter :: nGC_4910 = 845
  integer, parameter :: nGC_4911 = 846
  integer, parameter :: nGC_4915 = 847
  integer, parameter :: nGC_4916 = 848
  integer, parameter :: nGC_4925 = 849
  integer, parameter :: nGC_4928 = 850
  integer, parameter :: nGC_4929 = 851
  integer, parameter :: nGC_4941 = 852
  integer, parameter :: nGC_4948 = 853
  integer, parameter :: nGC_4952 = 854
  integer, parameter :: nGC_4959 = 855
  integer, parameter :: nGC_4963 = 856
  integer, parameter :: nGC_4968 = 857
  integer, parameter :: nGC_4972 = 858
  integer, parameter :: nGC_4976 = 859
  integer, parameter :: nGC_4980 = 860
  integer, parameter :: nGC_4984 = 861
  integer, parameter :: nGC_4988 = 862
  integer, parameter :: nGC_4992 = 863
  integer, parameter :: nGC_4996 = 864
  integer, parameter :: nGC_5000 = 865
  integer, parameter :: nGC_5003 = 866
  integer, parameter :: nGC_5006 = 867
  integer, parameter :: nGC_5010 = 868
  integer, parameter :: nGC_5014 = 869
  integer, parameter :: nGC_5031 = 870
  integer, parameter :: nGC_5034 = 871
  integer, parameter :: nGC_5039 = 872
  integer, parameter :: nGC_5042 = 873
  integer, parameter :: nGC_5050 = 874
  integer, parameter :: nGC_5053 = 875
  integer, parameter :: nGC_5093 = 876
  integer, parameter :: nGC_5097 = 877
  integer, parameter :: nGC_5101 = 878
  integer, parameter :: nGC_5111 = 879
  integer, parameter :: nGC_5112 = 880
  integer, parameter :: nGC_5113 = 881
  integer, parameter :: nGC_5119 = 882
  integer, parameter :: nGC_5120 = 883
  integer, parameter :: nGC_5121 = 884
  integer, parameter :: nGC_5122 = 885
  integer, parameter :: nGC_5131 = 886
  integer, parameter :: nGC_5132 = 887
  integer, parameter :: nGC_5138 = 888
  integer, parameter :: nGC_5139 = 889
  integer, parameter :: nGC_5140 = 890
  integer, parameter :: nGC_5141 = 891
  integer, parameter :: nGC_5150 = 892
  integer, parameter :: nGC_5151 = 893
  integer, parameter :: nGC_5157 = 894
  integer, parameter :: nGC_5158 = 895
  integer, parameter :: nGC_5159 = 896
  integer, parameter :: nGC_5160 = 897
  integer, parameter :: nGC_5169 = 898
  integer, parameter :: nGC_5170 = 899
  integer, parameter :: nGC_5171 = 900
  integer, parameter :: nGC_5181 = 901
  integer, parameter :: nGC_5182 = 902
  integer, parameter :: nGC_5183 = 903
  integer, parameter :: nGC_5184 = 904
  integer, parameter :: nGC_5210 = 905
  integer, parameter :: nGC_5211 = 906
  integer, parameter :: nGC_5217 = 907
  integer, parameter :: nGC_5218 = 908
  integer, parameter :: nGC_5219 = 909
  integer, parameter :: nGC_5220 = 910
  integer, parameter :: nGC_5229 = 911
  integer, parameter :: nGC_5230 = 912
  integer, parameter :: nGC_5231 = 913
  integer, parameter :: nGC_5241 = 914
  integer, parameter :: nGC_5242 = 915
  integer, parameter :: nGC_5243 = 916
  integer, parameter :: nGC_5244 = 917
  integer, parameter :: nGC_5270 = 918
  integer, parameter :: nGC_5271 = 919
  integer, parameter :: nGC_5277 = 920
  integer, parameter :: nGC_5278 = 921
  integer, parameter :: nGC_5279 = 922
  integer, parameter :: nGC_5280 = 923
  integer, parameter :: nGC_5287 = 924
  integer, parameter :: nGC_5288 = 925
  integer, parameter :: nGC_5289 = 926
  integer, parameter :: nGC_5302 = 927
  integer, parameter :: nGC_5303 = 928
  integer, parameter :: nGC_5316 = 929
  integer, parameter :: nGC_5317 = 930
  integer, parameter :: nGC_5330 = 931
  integer, parameter :: nGC_5331 = 932
  integer, parameter :: nGC_5342 = 933
  integer, parameter :: nGC_5349 = 934
  integer, parameter :: nGC_5362 = 935
  integer, parameter :: nGC_5365 = 936
  integer, parameter :: nGC_5368 = 937
  integer, parameter :: nGC_5377 = 938
  integer, parameter :: nGC_5381 = 939
  integer, parameter :: nGC_5385 = 940
  integer, parameter :: nGC_5397 = 941
  integer, parameter :: nGC_5398 = 942
  integer, parameter :: nGC_5399 = 943
  integer, parameter :: nGC_5400 = 944
  integer, parameter :: nGC_5411 = 945
  integer, parameter :: nGC_5412 = 946
  integer, parameter :: nGC_5413 = 947
  integer, parameter :: nGC_5414 = 948
  integer, parameter :: nGC_3496 = 949
  integer, parameter :: nGC_3499 = 950
  integer, parameter :: nGC_5433 = 951
  integer, parameter :: nGC_5434 = 952
  integer, parameter :: nGC_3502 = 953
  integer, parameter :: nGC_3505 = 954
  integer, parameter :: nGC_5447 = 955
  integer, parameter :: nGC_5448 = 956
  integer, parameter :: nGC_5453 = 957
  integer, parameter :: nGC_5454 = 958
  integer, parameter :: nGC_3511 = 959
  integer, parameter :: nGC_5463 = 960
  integer, parameter :: nGC_3509 = 961
  integer, parameter :: nGC_5464 = 962
  integer, parameter :: nGC_5465 = 963
  integer, parameter :: nGC_3512 = 964
  integer, parameter :: nGC_5474 = 965
  integer, parameter :: nGC_3514 = 966
  integer, parameter :: nGC_5475 = 967
  integer, parameter :: nGC_5476 = 968
  integer, parameter :: nGC_5481 = 969
  integer, parameter :: nGC_5482 = 970
  integer, parameter :: nGC_5496 = 971
  integer, parameter :: nGC_5497 = 972
  integer, parameter :: nGC_5502 = 973
  integer, parameter :: nGC_5503 = 974
  integer, parameter :: nGC_5508 = 975
  integer, parameter :: nGC_5509 = 976
  integer, parameter :: nGC_5514 = 977
  integer, parameter :: nGC_5515 = 978
  integer, parameter :: nGC_5520 = 979
  integer, parameter :: nGC_5521 = 980
  integer, parameter :: nGC_5526 = 981
  integer, parameter :: nGC_5527 = 982
  integer, parameter :: nGC_3529 = 983
  integer, parameter :: nGC_3532 = 984
  integer, parameter :: nGC_5564 = 985
  integer, parameter :: nGC_5565 = 986
  integer, parameter :: nGC_3535 = 987
  integer, parameter :: nGC_3538 = 988
  integer, parameter :: nGC_5578 = 989
  integer, parameter :: nGC_5579 = 990
  integer, parameter :: nGC_5584 = 991
  integer, parameter :: nGC_5585 = 992
  integer, parameter :: nGC_3542 = 993
  integer, parameter :: nGC_5594 = 994
  integer, parameter :: nGC_3544 = 995
  integer, parameter :: nGC_5595 = 996
  integer, parameter :: nGC_5596 = 997
  integer, parameter :: nGC_3547 = 998
  integer, parameter :: nGC_5605 = 999
  integer, parameter :: nGC_3545 = 1000
  integer, parameter :: nGC_5606 = 1001
  integer, parameter :: nGC_5607 = 1002
  integer, parameter :: nGC_5612 = 1003
  integer, parameter :: nGC_5613 = 1004
  integer, parameter :: nGC_5731 = 1005
  integer, parameter :: nGC_5734 = 1006
  integer, parameter :: nGC_5737 = 1007
  integer, parameter :: nGC_5757 = 1008
  integer, parameter :: nGC_5770 = 1009
  integer, parameter :: nGC_6376 = 1010
  integer, parameter :: nGC_6392 = 1011
  integer, parameter :: nGC_6695 = 1012
  integer, parameter :: nGC_6706 = 1013
  integer, parameter :: nGC_7015 = 1014
  integer, parameter :: nGC_7159 = 1015
  integer, parameter :: nGC_3495 = 1016
  integer, parameter :: nGC_3498 = 1017
  integer, parameter :: nGC_3501 = 1018
  integer, parameter :: nGC_3504 = 1019
  integer, parameter :: nGC_3528 = 1020
  integer, parameter :: nGC_3531 = 1021
  integer, parameter :: nGC_3534 = 1022
  integer, parameter :: nGC_3537 = 1023
  integer, parameter :: nGC_5431 = 1024
  integer, parameter :: nGC_5432 = 1025
  integer, parameter :: nGC_5445 = 1026
  integer, parameter :: nGC_5446 = 1027
  integer, parameter :: nGC_5562 = 1028
  integer, parameter :: nGC_5563 = 1029
  integer, parameter :: nGC_5576 = 1030
  integer, parameter :: nGC_5577 = 1031
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
