!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 12:50             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_3448) = -cima*dlam_QED2
    coupl(nGC_3493) = cima*dyt_QED1
    coupl(nGC_3494) = -cima*dyb_QED1
    coupl(nGC_3516) = -cima*dye_QED1
    coupl(nGC_3517) = -cima*dym_QED1
    coupl(nGC_3518) = -cima*dytau_QED1
    coupl(nGC_3549) = -cima*dMH2
    coupl(nGC_3552) = -cima*dME
    coupl(nGC_3553) = -cima*dMM
    coupl(nGC_3554) = -cima*dMTA
    coupl(nGC_3559) = -cima*dMT
    coupl(nGC_3564) = -cima*dMB
    coupl(nGC_3565) = cima*dMZ2
    coupl(nGC_3566) = cima*dMW2
    coupl(nGC_GG) = cima*dt/vev
    coupl(nGC_GGH) = -cima*dt/vev**2d0
    coupl(nGC_HHH) = -3d0*cima*dt/vev**2d0
    coupl(nGC_HHGG) = -cima*dt/vev**3d0
    coupl(nGC_HHHH) = -3d0*cima*dt/vev**3d0
    coupl(nGC_GPGMGPGM) = -2d0*cima*dt/vev**3d0
    coupl(nGC_4824) = coupl(nGC_29)*dZZA
    coupl(nGC_4832) = coupl(nGC_19)*dZZA/2d0 + coupl(nGC_5)*dZAZ/2d0
    coupl(nGC_4850) = coupl(nGC_29)*dZAZ
    coupl(nGC_5054) = coupl(nGC_37)*dZZA/2d0
    coupl(nGC_5094) = coupl(nGC_46)*dZZA/2d0
    coupl(nGC_5102) = coupl(nGC_52)*dZZA/2d0
    coupl(nGC_5109) = coupl(nGC_4)*dZeMinusL + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_5110) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZeMinusR
    coupl(nGC_5114) = coupl(nGC_4)*dZAZ/2d0
    coupl(nGC_5129) = coupl(nGC_4)*dZmuMinusL + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_5130) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZmuMinusR
    coupl(nGC_5148) = coupl(nGC_4)*dZtauMinusL + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_5149) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZtauMinusR
    coupl(nGC_5162) = coupl(nGC_2)*dZuL_QED2
    coupl(nGC_5165) = coupl(nGC_2)*dZuR_QED2
    coupl(nGC_5161) = coupl(nGC_2)*dZuL_QCD2
    coupl(nGC_5164) = coupl(nGC_2)*dZuR_QCD2
    coupl(nGC_5163) = coupl(nGC_39)*dZZA/2d0
    coupl(nGC_5166) = coupl(nGC_35)*dZZA/2d0
    coupl(nGC_5172) = coupl(nGC_2)*dZAZ/2d0
    coupl(nGC_5175) = coupl(nGC_35)*dZuR_QCD2
    coupl(nGC_5179) = coupl(nGC_39)*dZuL_QCD2
    coupl(nGC_5176) = coupl(nGC_35)*dZuR_QED2
    coupl(nGC_5180) = coupl(nGC_39)*dZuL_QED2
    coupl(nGC_5185) = coupl(nGC_2)*dZcL_QCD2
    coupl(nGC_5188) = coupl(nGC_2)*dZcR_QCD2
    coupl(nGC_5186) = coupl(nGC_2)*dZcL_QED2
    coupl(nGC_5189) = coupl(nGC_2)*dZcR_QED2
    coupl(nGC_5197) = coupl(nGC_35)*dZcR_QED2
    coupl(nGC_5201) = coupl(nGC_39)*dZcL_QED2
    coupl(nGC_5196) = coupl(nGC_35)*dZcR_QCD2
    coupl(nGC_5200) = coupl(nGC_39)*dZcL_QCD2
    coupl(nGC_5208) = coupl(nGC_2)*dZtL + coupl(nGC_39)*dZZA/2d0
    coupl(nGC_5209) = coupl(nGC_2)*dZtR + coupl(nGC_35)*dZZA/2d0
    coupl(nGC_5221) = coupl(nGC_1)*dZdL_QCD2
    coupl(nGC_5224) = coupl(nGC_1)*dZdR_QCD2
    coupl(nGC_5222) = coupl(nGC_1)*dZdL_QED2
    coupl(nGC_5225) = coupl(nGC_1)*dZdR_QED2
    coupl(nGC_5223) = coupl(nGC_38)*dZZA/2d0
    coupl(nGC_5226) = coupl(nGC_34)*dZZA/2d0
    coupl(nGC_5232) = coupl(nGC_1)*dZAZ/2d0
    coupl(nGC_5236) = coupl(nGC_34)*dZdR_QED2
    coupl(nGC_5240) = coupl(nGC_38)*dZdL_QED2
    coupl(nGC_5235) = coupl(nGC_34)*dZdR_QCD2
    coupl(nGC_5239) = coupl(nGC_38)*dZdL_QCD2
    coupl(nGC_5245) = coupl(nGC_1)*dZsL_QCD2
    coupl(nGC_5248) = coupl(nGC_1)*dZsR_QCD2
    coupl(nGC_5246) = coupl(nGC_1)*dZsL_QED2
    coupl(nGC_5249) = coupl(nGC_1)*dZsR_QED2
    coupl(nGC_5256) = coupl(nGC_34)*dZsR_QCD2
    coupl(nGC_5260) = coupl(nGC_38)*dZsL_QCD2
    coupl(nGC_5257) = coupl(nGC_34)*dZsR_QED2
    coupl(nGC_5261) = coupl(nGC_38)*dZsL_QED2
    coupl(nGC_5268) = coupl(nGC_1)*dZbL + coupl(nGC_38)*dZZA/2d0
    coupl(nGC_5269) = coupl(nGC_1)*dZbR + coupl(nGC_34)*dZZA/2d0
    coupl(nGC_5282) = coupl(nGC_11)*dZuL_QED2
    coupl(nGC_5284) = coupl(nGC_11)*dZuR_QED2
    coupl(nGC_5281) = coupl(nGC_11)*dZuL_QCD2
    coupl(nGC_5283) = coupl(nGC_11)*dZuR_QCD2
    coupl(nGC_5296) = coupl(nGC_11)*dZcL_QCD2
    coupl(nGC_5298) = coupl(nGC_11)*dZcR_QCD2
    coupl(nGC_5297) = coupl(nGC_11)*dZcL_QED2
    coupl(nGC_5299) = coupl(nGC_11)*dZcR_QED2
    coupl(nGC_5311) = coupl(nGC_11)*dZdL_QED2
    coupl(nGC_5313) = coupl(nGC_11)*dZdR_QED2
    coupl(nGC_5310) = coupl(nGC_11)*dZdL_QCD2
    coupl(nGC_5312) = coupl(nGC_11)*dZdR_QCD2
    coupl(nGC_5325) = coupl(nGC_11)*dZsL_QED2
    coupl(nGC_5327) = coupl(nGC_11)*dZsR_QED2
    coupl(nGC_5324) = coupl(nGC_11)*dZsL_QCD2
    coupl(nGC_5326) = coupl(nGC_11)*dZsR_QCD2
    coupl(nGC_5341) = coupl(nGC_23)*(dZdL_QED2 + dZuL_QED2)/2d0
    coupl(nGC_5340) = coupl(nGC_23)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_5346) = coupl(nGC_23)*(dZcL_QED2 + dZsL_QED2)/2d0
    coupl(nGC_5345) = coupl(nGC_23)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_5378) = coupl(nGC_41)*dZZA/2d0
    coupl(nGC_3482) = cima*dyup_QED1
    coupl(nGC_3485) = -cima*dydo_QED1
    coupl(nGC_3488) = cima*dyc_QED1
    coupl(nGC_3491) = -cima*dys_QED1
    coupl(nGC_5419) = coupl(nGC_3493) + coupl(nGC_77)*dZbL/2d0 + coupl(nGC_77)*&
                      dZtR/2d0
    coupl(nGC_5420) = coupl(nGC_3494) + coupl(nGC_53)*dZbR/2d0 + coupl(nGC_53)*&
                      dZtL/2d0
    coupl(nGC_5458) = coupl(nGC_63)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_5457) = coupl(nGC_63)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_5468) = coupl(nGC_75)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_5469) = coupl(nGC_75)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_5478) = coupl(nGC_55)*(dZbL + dZbR)/2d0
    coupl(nGC_5485) = coupl(nGC_3516) + coupl(nGC_65)*dZeMinusR/2d0 + coupl(   &
                      nGC_65)*dZnu_eL/2d0
    coupl(nGC_5488) = coupl(nGC_3517) + coupl(nGC_69)*dZmuMinusR/2d0 + coupl(  &
                      nGC_69)*dZnu_muL/2d0
    coupl(nGC_5491) = coupl(nGC_3518) + coupl(nGC_81)*dZnu_tauL/2d0 + coupl(   &
                      nGC_81)*dZtauMinusR/2d0
    coupl(nGC_5511) = coupl(nGC_67)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_5517) = coupl(nGC_71)*(dZmuMinusL + dZmuMinusR)/2d0
    coupl(nGC_5523) = coupl(nGC_83)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_5588) = coupl(nGC_87)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_5589) = coupl(nGC_87)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_5600) = coupl(nGC_59)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_5599) = coupl(nGC_59)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_5609) = coupl(nGC_79)*(dZtL + dZtR)/2d0
    coupl(nGC_5623) = coupl(nGC_3549) + coupl(nGC_MH)*dZH
    coupl(nGC_5622) = coupl(nGC_I)*dZH
    coupl(nGC_5624) = coupl(nGC_MI)*dZnu_eL
    coupl(nGC_5625) = coupl(nGC_MI)*dZnu_eR
    coupl(nGC_5626) = coupl(nGC_MI)*dZnu_muL
    coupl(nGC_5627) = coupl(nGC_MI)*dZnu_muR
    coupl(nGC_5628) = coupl(nGC_MI)*dZnu_tauL
    coupl(nGC_5629) = coupl(nGC_MI)*dZnu_tauR
    coupl(nGC_5632) = coupl(nGC_ME)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_5633) = coupl(nGC_MI)*dZeMinusL
    coupl(nGC_5634) = coupl(nGC_MI)*dZeMinusR
    coupl(nGC_5635) = coupl(nGC_3552) + coupl(nGC_5632)
    coupl(nGC_5638) = coupl(nGC_MM)*(dZmuMinusL + dZmuMinusR)/2d0
    coupl(nGC_5639) = coupl(nGC_MI)*dZmuMinusL
    coupl(nGC_5640) = coupl(nGC_MI)*dZmuMinusR
    coupl(nGC_5641) = coupl(nGC_3553) + coupl(nGC_5638)
    coupl(nGC_5644) = coupl(nGC_MTA)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_5645) = coupl(nGC_MI)*dZtauMinusL
    coupl(nGC_5646) = coupl(nGC_MI)*dZtauMinusR
    coupl(nGC_5647) = coupl(nGC_3554) + coupl(nGC_5644)
    coupl(nGC_3555) = -cima*dMU_QCD2
    coupl(nGC_5652) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_5654) = coupl(nGC_MI)*dZuL_QCD2
    coupl(nGC_5656) = coupl(nGC_MI)*dZuR_QCD2
    coupl(nGC_5658) = coupl(nGC_3555) + coupl(nGC_5652)
    coupl(nGC_3556) = -cima*dMU_QED2
    coupl(nGC_5653) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_5655) = coupl(nGC_MI)*dZuL_QED2
    coupl(nGC_5657) = coupl(nGC_MI)*dZuR_QED2
    coupl(nGC_5659) = coupl(nGC_3556) + coupl(nGC_5653)
    coupl(nGC_3557) = -cima*dMC_QCD2
    coupl(nGC_5664) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_5666) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_5668) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_5670) = coupl(nGC_3557) + coupl(nGC_5664)
    coupl(nGC_3558) = -cima*dMC_QED2
    coupl(nGC_5665) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_5667) = coupl(nGC_MI)*dZcL_QED2
    coupl(nGC_5669) = coupl(nGC_MI)*dZcR_QED2
    coupl(nGC_5671) = coupl(nGC_3558) + coupl(nGC_5665)
    coupl(nGC_5674) = coupl(nGC_MT)*(dZtL + dZtR)/2d0
    coupl(nGC_5675) = coupl(nGC_MI)*dZtL
    coupl(nGC_5676) = coupl(nGC_MI)*dZtR
    coupl(nGC_5677) = coupl(nGC_3559) + coupl(nGC_5674)
    coupl(nGC_3560) = -cima*dMD_QCD2
    coupl(nGC_5682) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_5684) = coupl(nGC_MI)*dZdL_QCD2
    coupl(nGC_5686) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_5688) = coupl(nGC_3560) + coupl(nGC_5682)
    coupl(nGC_3561) = -cima*dMD_QED2
    coupl(nGC_5683) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_5685) = coupl(nGC_MI)*dZdL_QED2
    coupl(nGC_5687) = coupl(nGC_MI)*dZdR_QED2
    coupl(nGC_5689) = coupl(nGC_3561) + coupl(nGC_5683)
    coupl(nGC_3562) = -cima*dMS_QCD2
    coupl(nGC_5694) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_5696) = coupl(nGC_MI)*dZsL_QCD2
    coupl(nGC_5698) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_5700) = coupl(nGC_3562) + coupl(nGC_5694)
    coupl(nGC_3563) = -cima*dMS_QED2
    coupl(nGC_5695) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_5697) = coupl(nGC_MI)*dZsL_QED2
    coupl(nGC_5699) = coupl(nGC_MI)*dZsR_QED2
    coupl(nGC_5701) = coupl(nGC_3563) + coupl(nGC_5695)
    coupl(nGC_5704) = coupl(nGC_MB)*(dZbL + dZbR)/2d0
    coupl(nGC_5705) = coupl(nGC_MI)*dZbL
    coupl(nGC_5706) = coupl(nGC_MI)*dZbR
    coupl(nGC_5707) = coupl(nGC_3564) + coupl(nGC_5704)
    coupl(nGC_5708) = coupl(nGC_MI)*dZA
    coupl(nGC_5709) = -coupl(nGC_5708)
    coupl(nGC_5710) = coupl(nGC_MI)*dZAZ/2d0
    coupl(nGC_5711) = coupl(nGC_MZ)*dZZA/2d0
    coupl(nGC_5712) = coupl(nGC_MI)*dZZA/2d0
    coupl(nGC_5716) = coupl(nGC_3565) + coupl(nGC_MZ)*dZZ
    coupl(nGC_5715) = coupl(nGC_MI)*dZZ
    coupl(nGC_5717) = -coupl(nGC_5715)
    coupl(nGC_5724) = coupl(nGC_3566) + coupl(nGC_MW)*dZWMinus
    coupl(nGC_5723) = coupl(nGC_MI)*dZWMinus
    coupl(nGC_5725) = -coupl(nGC_5723)
    coupl(nGC_5726) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_5727) = -coupl(nGC_5726)
    coupl(nGC_5738) = coupl(nGC_MZ_GF)*dZZA/2d0
    coupl(nGC_7169) = -coupl(nGC_5054)
    coupl(nGC_3189) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMC**  &
                      2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_23)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_23)**2d0 + &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMU**2d0&
                      *cima*coupl(nGC_23)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_23&
                      )**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_23)**2d0 + 2d0*cMTA &
                      **2d0*cima*coupl(nGC_23)**2d0 + 3d0*cMW**2d0*cima*coupl( &
                      nGC_206)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_220)**2d0 +  &
                      3d0*cMW**2d0*cima*coupl(nGC_25)**2d0 + 3d0*cMW**2d0*cima*&
                      coupl(nGC_3)**2d0 - 4d0*cMW**2d0*coupl(nGC_18) + 3d0*cMZ &
                      **2d0*cima*coupl(nGC_220)**2d0 + 3d0*cMZ**2d0*cima*coupl(&
                      nGC_25)**2d0 - 2d0*cMZ**2d0*coupl(nGC_198))/(32d0*pi**2d0&
                      )
    coupl(nGC_3190) = cima*(-2d0*Nc*coupl(nGC_23)**2d0 - coupl(nGC_206)**2d0 - &
                      coupl(nGC_220)**2d0 - 2d0*coupl(nGC_23)**2d0 - coupl(    &
                      nGC_25)**2d0 - coupl(nGC_3)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3191) = cima*(coupl(nGC_206)**2d0 + coupl(nGC_220)**2d0 + coupl( &
                      nGC_25)**2d0 + coupl(nGC_3)**2d0)/(48d0*pi**2d0)
    coupl(nGC_3192) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_54)*coupl(nGC_56) - 8d0*&
                      Nc*cMC**2d0*cima*coupl(nGC_58)*coupl(nGC_60) - 8d0*Nc*cMD&
                      **2d0*cima*coupl(nGC_62)*coupl(nGC_64) - 8d0*Nc*cMS**2d0*&
                      cima*coupl(nGC_74)*coupl(nGC_76) - 8d0*Nc*cMT**2d0*cima* &
                      coupl(nGC_78)*coupl(nGC_80) - 8d0*Nc*cMU**2d0*cima*coupl(&
                      nGC_86)*coupl(nGC_88) - 8d0*cME**2d0*cima*coupl(nGC_66)* &
                      coupl(nGC_68) - cMH**2d0*cima*coupl(nGC_1406)*coupl(     &
                      nGC_37) - 8d0*cMM**2d0*cima*coupl(nGC_70)*coupl(nGC_72   &
                      ) - 8d0*cMTA**2d0*cima*coupl(nGC_82)*coupl(nGC_84) - 4d0*&
                      cMW**2d0*cima*coupl(nGC_1112)*coupl(nGC_22) - 4d0*cMW**  &
                      2d0*coupl(nGC_17) - cMZ**2d0*cima*coupl(nGC_1406)*coupl( &
                      nGC_37) - 2d0*cMZ**2d0*coupl(nGC_46))/(32d0*pi**2d0)
    coupl(nGC_3193) = cima*(4d0*Nc*coupl(nGC_54)*coupl(nGC_56) + 4d0*Nc*coupl( &
                      nGC_58)*coupl(nGC_60) + 4d0*Nc*coupl(nGC_62)*coupl(nGC_64&
                      ) + 4d0*Nc*coupl(nGC_74)*coupl(nGC_76) + 4d0*Nc*coupl(   &
                      nGC_78)*coupl(nGC_80) + 4d0*Nc*coupl(nGC_86)*coupl(nGC_88&
                      ) + 2d0*coupl(nGC_1112)*coupl(nGC_22) + coupl(nGC_1406)* &
                      coupl(nGC_37) + 4d0*coupl(nGC_66)*coupl(nGC_68) + 4d0*   &
                      coupl(nGC_70)*coupl(nGC_72) + 4d0*coupl(nGC_82)*coupl(   &
                      nGC_84))/(96d0*pi**2d0)
    coupl(nGC_3194) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(nGC_38&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3195) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_3196) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_23)**2d0 - coupl(   &
                      nGC_38)**2d0)/(16d0*pi**2d0)
    coupl(nGC_3197) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_34) + 2d0*Nc&
                      *cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_38) + 2d0*Nc*cMC** &
                      2d0*cima*coupl(nGC_2)*coupl(nGC_35) + 2d0*Nc*cMC**2d0*   &
                      cima*coupl(nGC_2)*coupl(nGC_39) + 2d0*Nc*cMD**2d0*cima*  &
                      coupl(nGC_1)*coupl(nGC_34) + 2d0*Nc*cMD**2d0*cima*coupl( &
                      nGC_1)*coupl(nGC_38) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*&
                      coupl(nGC_34) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*coupl( &
                      nGC_38) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_35 &
                      ) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_39) + 2d0&
                      *Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(nGC_35) + 2d0*Nc*cMU&
                      **2d0*cima*coupl(nGC_2)*coupl(nGC_39) + 2d0*cME**2d0*cima&
                      *coupl(nGC_36)*coupl(nGC_4) + 2d0*cME**2d0*cima*coupl(   &
                      nGC_4)*coupl(nGC_40) + 2d0*cMM**2d0*cima*coupl(nGC_36)*  &
                      coupl(nGC_4) + 2d0*cMM**2d0*cima*coupl(nGC_4)*coupl(     &
                      nGC_40) + 2d0*cMTA**2d0*cima*coupl(nGC_36)*coupl(nGC_4   &
                      ) + 2d0*cMTA**2d0*cima*coupl(nGC_4)*coupl(nGC_40) + 3d0* &
                      cMW**2d0*cima*coupl(nGC_206)*coupl(nGC_220) + 3d0*cMW**  &
                      2d0*cima*coupl(nGC_25)*coupl(nGC_3) - 2d0*cMW**2d0*coupl(&
                      nGC_29))/(16d0*pi**2d0)
    coupl(nGC_3198) = cima*(-2d0*Nc*coupl(nGC_1)*coupl(nGC_34) - 2d0*Nc*coupl( &
                      nGC_1)*coupl(nGC_38) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_35  &
                      ) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_39) - coupl(nGC_206)*  &
                      coupl(nGC_220) - coupl(nGC_25)*coupl(nGC_3) - 2d0*coupl( &
                      nGC_36)*coupl(nGC_4) - 2d0*coupl(nGC_4)*coupl(nGC_40))/( &
                      32d0*pi**2d0)
    coupl(nGC_3199) = cima*(coupl(nGC_206)*coupl(nGC_220) + coupl(nGC_25)*coupl&
                      (nGC_3))/(48d0*pi**2d0)
    coupl(nGC_3200) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_53)**2d0 - 4d0*Nc*cMB** &
                      2d0*cima*coupl(nGC_77)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(&
                      nGC_57)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(nGC_73)**2d0 - &
                      4d0*Nc*cMD**2d0*cima*coupl(nGC_61)**2d0 - 4d0*Nc*cMD**2d0&
                      *cima*coupl(nGC_85)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(   &
                      nGC_57)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_73)**2d0 - &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_53)**2d0 - 4d0*Nc*cMT**2d0&
                      *cima*coupl(nGC_77)**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_61)**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_85)**2d0 - &
                      4d0*cME**2d0*cima*coupl(nGC_65)**2d0 - cMH**2d0*cima*    &
                      coupl(nGC_1122)*coupl(nGC_20) - cMH**2d0*cima*coupl(     &
                      nGC_1246)*coupl(nGC_21) - 4d0*cMM**2d0*cima*coupl(nGC_69 &
                      )**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_81)**2d0 - 2d0*cMW &
                      **2d0*cima*coupl(nGC_1112)*coupl(nGC_22) - cMW**2d0*cima*&
                      coupl(nGC_1122)*coupl(nGC_20) - cMW**2d0*cima*coupl(     &
                      nGC_1246)*coupl(nGC_21) - cMW**2d0*cima*coupl(nGC_1418)**&
                      2d0 - cMW**2d0*cima*coupl(nGC_202)**2d0 - cMW**2d0*cima* &
                      coupl(nGC_4)**2d0 - cMW**2d0*cima*coupl(nGC_40)**2d0 -   &
                      8d0*cMW**2d0*coupl(nGC_17) - 2d0*cMZ**2d0*cima*coupl(    &
                      nGC_1112)*coupl(nGC_22) - cMZ**2d0*cima*coupl(nGC_1418)**&
                      2d0 - cMZ**2d0*cima*coupl(nGC_40)**2d0 - 4d0*cMZ**2d0*   &
                      coupl(nGC_45) + 8d0*cima*coupl(nGC_47)**2d0 + 8d0*cima*  &
                      coupl(nGC_51)**2d0)/(64d0*pi**2d0)
    coupl(nGC_3201) = cima*(4d0*Nc*coupl(nGC_53)**2d0 + 4d0*Nc*coupl(nGC_57)** &
                      2d0 + 4d0*Nc*coupl(nGC_61)**2d0 + 4d0*Nc*coupl(nGC_73)** &
                      2d0 + 4d0*Nc*coupl(nGC_77)**2d0 + 4d0*Nc*coupl(nGC_85)** &
                      2d0 + 2d0*coupl(nGC_1112)*coupl(nGC_22) + coupl(nGC_1122 &
                      )*coupl(nGC_20) + coupl(nGC_1246)*coupl(nGC_21) + coupl( &
                      nGC_1418)**2d0 + coupl(nGC_202)**2d0 + coupl(nGC_4)**2d0 &
                       + coupl(nGC_40)**2d0 + 4d0*coupl(nGC_65)**2d0 + 4d0*    &
                      coupl(nGC_69)**2d0 + 4d0*coupl(nGC_81)**2d0)/(192d0*pi** &
                      2d0)
    coupl(nGC_3202) = (4d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 4d0*Nc*cMC**2d0&
                      *cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMD**2d0*cima*coupl(    &
                      nGC_1)**2d0 + 4d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0 +   &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMU**2d0*&
                      cima*coupl(nGC_2)**2d0 + 4d0*cME**2d0*cima*coupl(nGC_4)**&
                      2d0 + 4d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 4d0*cMTA**2d0&
                      *cima*coupl(nGC_4)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_206&
                      )**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_3)**2d0 - 2d0*cMW** &
                      2d0*coupl(nGC_184))/(16d0*pi**2d0)
    coupl(nGC_3203) = cima*(-4d0*Nc*coupl(nGC_1)**2d0 - 4d0*Nc*coupl(nGC_2)**  &
                      2d0 - coupl(nGC_206)**2d0 - coupl(nGC_3)**2d0 - 4d0*coupl&
                      (nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3204) = cima*(coupl(nGC_206)**2d0 + coupl(nGC_3)**2d0)/(48d0*pi**&
                      2d0)
    coupl(nGC_3205) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_55)**2d0 - 4d0*Nc*cMC** &
                      2d0*cima*coupl(nGC_59)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_63)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_75)**2d0 - &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_79)**2d0 - 4d0*Nc*cMU**2d0&
                      *cima*coupl(nGC_87)**2d0 - 4d0*cME**2d0*cima*coupl(nGC_67&
                      )**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_71)**2d0 - 4d0*cMTA &
                      **2d0*cima*coupl(nGC_83)**2d0 - cMW**2d0*cima*coupl(     &
                      nGC_1122)*coupl(nGC_20) - cMW**2d0*cima*coupl(nGC_1246)* &
                      coupl(nGC_21) - 2d0*cMW**2d0*coupl(nGC_17) - cMZ**2d0*   &
                      cima*coupl(nGC_1406)*coupl(nGC_37) - cMZ**2d0*coupl(     &
                      nGC_46) + 2d0*cima*coupl(nGC_50)**2d0 + cima*coupl(nGC_52&
                      )**2d0)/(16d0*pi**2d0)
    coupl(nGC_3206) = cima*(4d0*Nc*coupl(nGC_55)**2d0 + 4d0*Nc*coupl(nGC_59)** &
                      2d0 + 4d0*Nc*coupl(nGC_63)**2d0 + 4d0*Nc*coupl(nGC_75)** &
                      2d0 + 4d0*Nc*coupl(nGC_79)**2d0 + 4d0*Nc*coupl(nGC_87)** &
                      2d0 + coupl(nGC_1122)*coupl(nGC_20) + coupl(nGC_1246)*   &
                      coupl(nGC_21) + coupl(nGC_1406)*coupl(nGC_37) + 4d0*coupl&
                      (nGC_67)**2d0 + 4d0*coupl(nGC_71)**2d0 + 4d0*coupl(nGC_83&
                      )**2d0)/(96d0*pi**2d0)
    coupl(nGC_3207) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMB**  &
                      2d0*cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(&
                      nGC_35)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_39)**2d0 + &
                      2d0*Nc*cMD**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMD**2d0&
                      *cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(   &
                      nGC_34)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_38)**2d0 + &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_35)**2d0 + 2d0*Nc*cMT**2d0&
                      *cima*coupl(nGC_39)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_35)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(nGC_39)**2d0 + &
                      2d0*cME**2d0*cima*coupl(nGC_36)**2d0 + 2d0*cME**2d0*cima*&
                      coupl(nGC_40)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_36)**2d0&
                       + 2d0*cMM**2d0*cima*coupl(nGC_40)**2d0 + 2d0*cMTA**2d0* &
                      cima*coupl(nGC_36)**2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_40&
                      )**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_220)**2d0 + 3d0*cMW &
                      **2d0*cima*coupl(nGC_25)**2d0 - 2d0*cMW**2d0*coupl(      &
                      nGC_198))/(16d0*pi**2d0)
    coupl(nGC_3208) = cima*(-2d0*Nc*coupl(nGC_34)**2d0 - 2d0*Nc*coupl(nGC_35)**&
                      2d0 - 2d0*Nc*coupl(nGC_38)**2d0 - 2d0*Nc*coupl(nGC_39)** &
                      2d0 - coupl(nGC_220)**2d0 - coupl(nGC_25)**2d0 - 2d0*    &
                      coupl(nGC_36)**2d0 - 2d0*coupl(nGC_40)**2d0 - 2d0*coupl( &
                      nGC_41)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3209) = cima*(coupl(nGC_220)**2d0 + coupl(nGC_25)**2d0)/(48d0*pi &
                      **2d0)
    coupl(nGC_3210) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(nGC_39&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3211) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_3212) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_23)**2d0 - coupl(   &
                      nGC_39)**2d0)/(16d0*pi**2d0)
    coupl(nGC_3213) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3214) = cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(64d0*pi&
                      **2d0*Nc)
    coupl(nGC_3215) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(nGC_38&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3216) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3217) = cima*(coupl(nGC_23)**2d0 + coupl(nGC_4)**2d0 + coupl(    &
                      nGC_40)**2d0)/(16d0*pi**2d0)
    coupl(nGC_3218) = cME*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)**  &
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_3219) = cima*(coupl(nGC_36)**2d0 + coupl(nGC_4)**2d0)/(16d0*pi** &
                      2d0)
    coupl(nGC_3220) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMC**2d0 + cMD**2d0 +  &
                      cMS**2d0 + cMU**2d0)/(16d0*pi**2d0)
    coupl(nGC_3221) = cima*sq2**2d0*(3d0*Nc*coupl(nGC_10)**2d0 - 8d0*coupl(    &
                      nGC_11)**2d0)/(192d0*pi**2d0)
    coupl(nGC_3222) = -Nc*cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_3223) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMC**2d0 - cMD**2d0 - &
                      cMS**2d0 - cMU**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_3224) = cima*sq2**2d0*(-3d0*Nc*coupl(nGC_10)**2d0 + 8d0*coupl(   &
                      nGC_11)**2d0)/(192d0*pi**2d0*Nc)
    coupl(nGC_3225) = cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_3226) = cMM*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)**  &
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_3227) = cima*(-coupl(nGC_23)**2d0 - coupl(nGC_41)**2d0)/(16d0*pi &
                      **2d0)
    coupl(nGC_3228) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(nGC_38&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3229) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3230) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(nGC_39&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3231) = cMTA*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)** &
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_3232) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(nGC_39&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3233) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3234) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_54)*coupl(nGC_56) + coupl(  &
                      nGC_1)*coupl(nGC_55)**2d0 + coupl(nGC_2)*coupl(nGC_53)** &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_3235) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_54)*coupl(nGC_56) + coupl(  &
                      nGC_1)*coupl(nGC_55)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23&
                      )**2d0 + coupl(nGC_2)*coupl(nGC_77)**2d0 + 4d0*coupl(    &
                      nGC_206)*coupl(nGC_23)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3236) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53) -  &
                      2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_57) - 2d0&
                      *Nc*cMD*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61) - 2d0*Nc&
                      *cMS*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73) - 2d0*Nc*  &
                      cMT*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77) - 2d0*Nc*cMU&
                      *coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_85) + 4d0*cima*    &
                      coupl(nGC_194)*coupl(nGC_47) + 4d0*cima*coupl(nGC_5)*    &
                      coupl(nGC_51) - coupl(nGC_206)*coupl(nGC_21)*coupl(nGC_50&
                      ) + 6d0*coupl(nGC_206)*coupl(nGC_25)*coupl(nGC_47) + 6d0*&
                      coupl(nGC_206)*coupl(nGC_3)*coupl(nGC_51) - coupl(nGC_25 &
                      )*coupl(nGC_40)*coupl(nGC_51) - coupl(nGC_3)*coupl(nGC_4 &
                      )*coupl(nGC_51))/(32d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
