!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 12:50             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl3()
    coupl(nGC_3075) = -ee/(2d0*sw**2d0)
    coupl(nGC_3076) = ee/(2d0*sw)
    coupl(nGC_3071) = -cima*ee/(2d0*sw**2d0)
    coupl(nGC_3072) = cima*ee/(2d0*sw)
    coupl(nGC_3074) = -ee**2d0/sw
    coupl(nGC_3073) = ee**2d0/(2d0*sw**2d0)
    coupl(nGC_3070) = -cima*ee/(2d0*sw)
    coupl(nGC_3069) = cima*ee/(2d0*sw**2d0)
    coupl(nGC_3064) = -cima*ee**2d0/sw**3d0
    coupl(nGC_3065) = cima*ee**2d0/sw**2d0
    coupl(nGC_3156) = -cima*ee**2d0*vev/sw**3d0
    coupl(nGC_3157) = cima*ee**2d0*vev/sw**2d0
    coupl(nGC_3131) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
    coupl(nGC_3132) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
    coupl(nGC_3133) = -2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
    coupl(nGC_3114) = ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_3115) = -ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_3116) = -ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_3125) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_3127) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_3126) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_3058) = -ee**2d0/(2d0*cw**2d0)
    coupl(nGC_3059) = ee**2d0/cw
    coupl(nGC_3052) = -cima*ee**2d0/cw
    coupl(nGC_3051) = cima*ee**2d0/(2d0*cw**2d0)
    coupl(nGC_3150) = -cima*ee**2d0*vev/cw
    coupl(nGC_3149) = cima*ee**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_3054) = -ee**2d0/cw
    coupl(nGC_3053) = ee**2d0/(2d0*cw**2d0)
    coupl(nGC_3158) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_3159) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_3160) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
    coupl(nGC_3146) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_3145) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_3147) = cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw** &
                      2d0)
    coupl(nGC_3169) = cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                      )/(cw**3d0*sw**2d0)
    coupl(nGC_3170) = cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**  &
                      2d0)
    coupl(nGC_3168) = -cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0 &
                      )/(cw**2d0*sw**3d0)
    coupl(nGC_3048) = -2d0*cima*ee/3d0
    coupl(nGC_3045) = cima*ee/3d0
    coupl(nGC_3078) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_3077) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
    coupl(nGC_3112) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_3111) = 2d0*cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_3110) = -2d0*cima*ee/(3d0*cw)
    coupl(nGC_3119) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_3118) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_3120) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
    coupl(nGC_3103) = cima*ee*sw/(3d0*cw)
    coupl(nGC_3101) = cima*ee/(3d0*cw)
    coupl(nGC_3102) = -cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_3121) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_3123) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
    coupl(nGC_3122) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_3130) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_3128) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_3129) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_3105) = -cima*ee*sw/cw**2d0
    coupl(nGC_3106) = cima*ee*sw/cw
    coupl(nGC_3104) = cima*ee/cw
    coupl(nGC_144) = cima/(2d0*cMW)
    coupl(nGC_148) = -cima/(2d0*cMW)
    coupl(nGC_152) = 1d0/(2d0*cMZ)
    coupl(nGC_3481) = cima*dyup_QCD2_QED1
    coupl(nGC_3484) = -cima*dydo_QCD2_QED1
    coupl(nGC_3483) = cima*dyup_QED3
    coupl(nGC_3486) = -cima*dydo_QED3
    coupl(nGC_3487) = cima*dyc_QCD2_QED1
    coupl(nGC_3490) = -cima*dys_QCD2_QED1
    coupl(nGC_3489) = cima*dyc_QED3
    coupl(nGC_3492) = -cima*dys_QED3
    coupl(nGC_3497) = coupl(nGC_3174)*dydo_QED3
    coupl(nGC_3500) = coupl(nGC_3176)*dydo_QED3
    coupl(nGC_3503) = coupl(nGC_3187)*dys_QED3
    coupl(nGC_3506) = coupl(nGC_3183)*dys_QED3
    coupl(nGC_3510) = coupl(nGC_3175)*dydo_QED1
    coupl(nGC_3513) = coupl(nGC_3185)*dys_QED1
    coupl(nGC_3530) = coupl(nGC_3134)*dyup_QED3
    coupl(nGC_3533) = coupl(nGC_3144)*dyup_QED3
    coupl(nGC_3536) = coupl(nGC_3171)*dyc_QED3
    coupl(nGC_3539) = coupl(nGC_3173)*dyc_QED3
    coupl(nGC_3543) = coupl(nGC_3139)*dyup_QED1
    coupl(nGC_3546) = coupl(nGC_3172)*dyc_QED1
    coupl(nGC_3429) = coupl(nGC_3047)*dZgs_QCD2
    coupl(nGC_3430) = coupl(nGC_3050)*dZgs_QCD2
    coupl(nGC_3431) = coupl(nGC_3044)*dZee
    coupl(nGC_3432) = coupl(nGC_3046)*dZee
    coupl(nGC_3433) = coupl(nGC_3079)*dsw_ + coupl(nGC_3080)*dcw_ + coupl(     &
                      nGC_3081)*dZee
    coupl(nGC_3434) = coupl(nGC_3062)*dsw_ + coupl(nGC_3063)*dZee
    coupl(nGC_3435) = coupl(nGC_3087)*dsw_ + coupl(nGC_3088)*dcw_ + coupl(     &
                      nGC_3089)*dZee
    coupl(nGC_3436) = coupl(nGC_3066)*dsw_ + coupl(nGC_3067)*dcw_ + coupl(     &
                      nGC_3068)*dZee
    coupl(nGC_3437) = coupl(nGC_3049)*dZee
    coupl(nGC_3438) = coupl(nGC_3060)*dZee + coupl(nGC_3061)*dMW2
    coupl(nGC_3439) = coupl(nGC_3092)*dsw_ + coupl(nGC_3093)*dZee + coupl(     &
                      nGC_3094)*dMW2
    coupl(nGC_3440) = coupl(nGC_3098)*dsw_ + coupl(nGC_3099)*dZee + coupl(     &
                      nGC_3100)*dMW2
    coupl(nGC_3441) = coupl(nGC_3135)*dsw_ + coupl(nGC_3136)*dcw_ + coupl(     &
                      nGC_3137)*dZee + coupl(nGC_3138)*dMW2
    coupl(nGC_3442) = coupl(nGC_3082)*dsw_ + coupl(nGC_3083)*dcw_ + coupl(     &
                      nGC_3084)*dZee
    coupl(nGC_3443) = coupl(nGC_3095)*dsw_ + coupl(nGC_3096)*dZee + coupl(     &
                      nGC_3097)*dMW2
    coupl(nGC_3444) = coupl(nGC_3107)*dsw_ + coupl(nGC_3108)*dZee + coupl(     &
                      nGC_3109)*dMZ2
    coupl(nGC_3445) = coupl(nGC_3140)*dsw_ + coupl(nGC_3141)*dcw_ + coupl(     &
                      nGC_3142)*dZee + coupl(nGC_3143)*dMZ2
    coupl(nGC_3446) = coupl(nGC_3057)*dlam_QED2
    coupl(nGC_3447) = coupl(nGC_3056)*dlam_QED2
    coupl(nGC_3449) = coupl(nGC_3151)*dlam_QED2 + coupl(nGC_3152)*dvev_QEDM1
    coupl(nGC_3450) = coupl(nGC_3153)*dlam_QED2 + coupl(nGC_3154)*dvev_QEDM1
    coupl(nGC_3451) = coupl(nGC_3055)*dZee
    coupl(nGC_3452) = coupl(nGC_3090)*dsw_ + coupl(nGC_3091)*dZee
    coupl(nGC_3453) = coupl(nGC_3085)*dsw_ + coupl(nGC_3086)*dZee
    coupl(nGC_3454) = coupl(nGC_3161)*dvev_QEDM1 + coupl(nGC_3162)*dsw_ + coupl&
                      (nGC_3163)*dZee
    coupl(nGC_3455) = coupl(nGC_3075)*dsw_ + coupl(nGC_3076)*dZee
    coupl(nGC_3456) = coupl(nGC_3071)*dsw_ + coupl(nGC_3072)*dZee
    coupl(nGC_3457) = coupl(nGC_3073)*dsw_ + coupl(nGC_3074)*dZee
    coupl(nGC_3458) = coupl(nGC_3069)*dsw_ + coupl(nGC_3070)*dZee
    coupl(nGC_3459) = coupl(nGC_3064)*dsw_ + coupl(nGC_3065)*dZee
    coupl(nGC_3460) = coupl(nGC_3155)*dvev_QEDM1 + coupl(nGC_3156)*dsw_ + coupl&
                      (nGC_3157)*dZee
    coupl(nGC_3461) = coupl(nGC_3131)*dsw_ + coupl(nGC_3132)*dcw_ + coupl(     &
                      nGC_3133)*dZee
    coupl(nGC_3462) = coupl(nGC_3114)*dsw_ + coupl(nGC_3115)*dcw_ + coupl(     &
                      nGC_3116)*dZee
    coupl(nGC_3463) = coupl(nGC_3125)*dsw_ + coupl(nGC_3126)*dcw_ + coupl(     &
                      nGC_3127)*dZee
    coupl(nGC_3464) = coupl(nGC_3058)*dcw_ + coupl(nGC_3059)*dZee
    coupl(nGC_3465) = coupl(nGC_3051)*dcw_ + coupl(nGC_3052)*dZee
    coupl(nGC_3466) = coupl(nGC_3148)*dvev_QEDM1 + coupl(nGC_3149)*dcw_ + coupl&
                      (nGC_3150)*dZee
    coupl(nGC_3467) = coupl(nGC_3053)*dcw_ + coupl(nGC_3054)*dZee
    coupl(nGC_3468) = coupl(nGC_3158)*dsw_ + coupl(nGC_3159)*dcw_ + coupl(     &
                      nGC_3160)*dZee
    coupl(nGC_3469) = coupl(nGC_3145)*dsw_ + coupl(nGC_3146)*dcw_ + coupl(     &
                      nGC_3147)*dZee
    coupl(nGC_3470) = coupl(nGC_3167)*dvev_QEDM1 + coupl(nGC_3168)*dsw_ + coupl&
                      (nGC_3169)*dcw_ + coupl(nGC_3170)*dZee
    coupl(nGC_3471) = coupl(nGC_3048)*dZee
    coupl(nGC_3472) = coupl(nGC_3045)*dZee
    coupl(nGC_3473) = coupl(nGC_112)*dZgs_QCD2
    coupl(nGC_3474) = coupl(nGC_3077)*dsw_ + coupl(nGC_3078)*dZee
    coupl(nGC_3475) = coupl(nGC_3110)*dsw_ + coupl(nGC_3111)*dcw_ + coupl(     &
                      nGC_3112)*dZee
    coupl(nGC_3476) = coupl(nGC_3118)*dsw_ + coupl(nGC_3119)*dcw_ + coupl(     &
                      nGC_3120)*dZee
    coupl(nGC_3477) = coupl(nGC_3101)*dsw_ + coupl(nGC_3102)*dcw_ + coupl(     &
                      nGC_3103)*dZee
    coupl(nGC_3478) = coupl(nGC_3121)*dsw_ + coupl(nGC_3122)*dcw_ + coupl(     &
                      nGC_3123)*dZee
    coupl(nGC_3479) = coupl(nGC_3128)*dsw_ + coupl(nGC_3129)*dcw_ + coupl(     &
                      nGC_3130)*dZee
    coupl(nGC_3480) = coupl(nGC_3104)*dsw_ + coupl(nGC_3105)*dcw_ + coupl(     &
                      nGC_3106)*dZee
    coupl(nGC_3507) = coupl(nGC_3166)*dyb_QED1
    coupl(nGC_3508) = coupl(nGC_3165)*dyb_QED1
    coupl(nGC_3515) = coupl(nGC_3164)*dyb_QED1
    coupl(nGC_3519) = coupl(nGC_3181)*dye_QED1
    coupl(nGC_3520) = coupl(nGC_3178)*dye_QED1
    coupl(nGC_3521) = coupl(nGC_3182)*dym_QED1
    coupl(nGC_3522) = coupl(nGC_3180)*dym_QED1
    coupl(nGC_3523) = coupl(nGC_3124)*dytau_QED1
    coupl(nGC_3524) = coupl(nGC_3113)*dytau_QED1
    coupl(nGC_3525) = coupl(nGC_3177)*dye_QED1
    coupl(nGC_3526) = coupl(nGC_3179)*dym_QED1
    coupl(nGC_3527) = coupl(nGC_3117)*dytau_QED1
    coupl(nGC_3540) = coupl(nGC_3186)*dyt_QED1
    coupl(nGC_3541) = coupl(nGC_3188)*dyt_QED1
    coupl(nGC_3548) = coupl(nGC_3184)*dyt_QED1
    coupl(nGC_3567) = coupl(nGC_144)*dMW2
    coupl(nGC_3568) = coupl(nGC_148)*dMW2
    coupl(nGC_3569) = coupl(nGC_152)*dMZ2
    coupl(nGC_4795) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3429)
    coupl(nGC_4800) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_3430)
    coupl(nGC_4801) = -2d0*coupl(nGC_4800)
    coupl(nGC_4804) = 2d0*coupl(nGC_4800)
    coupl(nGC_4805) = -coupl(nGC_4800)
    coupl(nGC_4817) = coupl(nGC_25)*dZZA/2d0 + coupl(nGC_3)*dZA/2d0 + coupl(   &
                      nGC_3)*dZWMinus + coupl(nGC_3431)
    coupl(nGC_4821) = coupl(nGC_25)*dZWMinus + coupl(nGC_25)*dZZ/2d0 + coupl(  &
                      nGC_3)*dZAZ/2d0 + coupl(nGC_3433)
    coupl(nGC_4825) = coupl(nGC_3432) + coupl(nGC_5)*dZA + coupl(nGC_5)*dZWMinus
    coupl(nGC_4826) = -coupl(nGC_4824)/2d0 + coupl(nGC_4825)
    coupl(nGC_4827) = coupl(nGC_4824) - 2d0*coupl(nGC_4825)
    coupl(nGC_4833) = coupl(nGC_29)*dZA/2d0 + coupl(nGC_29)*dZWMinus + coupl(  &
                      nGC_29)*dZZ/2d0 + coupl(nGC_3435)
    coupl(nGC_4834) = coupl(nGC_4832) - coupl(nGC_4833)/2d0
    coupl(nGC_4835) = -2d0*coupl(nGC_4832) + coupl(nGC_4833)
    coupl(nGC_4844) = 2d0*coupl(nGC_18)*dZWMinus + coupl(nGC_3434)
    coupl(nGC_4845) = -2d0*coupl(nGC_4844)
    coupl(nGC_4853) = coupl(nGC_19)*dZWMinus + coupl(nGC_19)*dZZ + coupl(      &
                      nGC_3436)
    coupl(nGC_4854) = coupl(nGC_4850) - 2d0*coupl(nGC_4853)
    coupl(nGC_4855) = -coupl(nGC_4850)/2d0 + coupl(nGC_4853)
    coupl(nGC_4868) = coupl(nGC_3437) + coupl(nGC_4)*dZWMinus/2d0
    coupl(nGC_4869) = -coupl(nGC_4868)
    coupl(nGC_4872) = coupl(nGC_3)*dZWMinus/2d0 + coupl(nGC_3431)
    coupl(nGC_4873) = -coupl(nGC_4872)
    coupl(nGC_4880) = coupl(nGC_31)*dZH/2d0 + coupl(nGC_3440)
    coupl(nGC_4884) = coupl(nGC_25)*dZZA/2d0 + coupl(nGC_3)*dZA/2d0 + coupl(   &
                      nGC_3431)
    coupl(nGC_4885) = -coupl(nGC_4884)
    coupl(nGC_4889) = coupl(nGC_25)*dZZ/2d0 + coupl(nGC_3)*dZAZ/2d0 + coupl(   &
                      nGC_3433)
    coupl(nGC_4890) = -coupl(nGC_4889)
    coupl(nGC_4894) = coupl(nGC_24)*dZWMinus/2d0 + coupl(nGC_3442)
    coupl(nGC_4895) = -coupl(nGC_4894)
    coupl(nGC_4905) = coupl(nGC_24)*dZZA/2d0 + coupl(nGC_3437) + coupl(nGC_4)* &
                      dZA/2d0
    coupl(nGC_4906) = -coupl(nGC_4905)
    coupl(nGC_4910) = coupl(nGC_24)*dZZ/2d0 + coupl(nGC_3442) + coupl(nGC_4)*  &
                      dZAZ/2d0
    coupl(nGC_4911) = -coupl(nGC_4910)
    coupl(nGC_4915) = coupl(nGC_25)*dZWMinus/2d0 + coupl(nGC_3433)
    coupl(nGC_4916) = -coupl(nGC_4915)
    coupl(nGC_4925) = coupl(nGC_3445) + coupl(nGC_44)*dZH/2d0
    coupl(nGC_4928) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3429)
    coupl(nGC_4929) = -coupl(nGC_4928)
    coupl(nGC_4941) = coupl(nGC_13)*dZH + coupl(nGC_3447)
    coupl(nGC_4948) = 2d0*coupl(nGC_15)*dZH + coupl(nGC_3446)
    coupl(nGC_4952) = coupl(nGC_3449) + coupl(nGC_48)*dZH/2d0
    coupl(nGC_4959) = coupl(nGC_3450) + 3d0*coupl(nGC_49)*dZH/2d0
    coupl(nGC_4963) = coupl(nGC_3451) + coupl(nGC_42)*dZZA + coupl(nGC_6)*dZA
    coupl(nGC_4968) = coupl(nGC_3461) + coupl(nGC_42)*dZA/2d0 + coupl(nGC_42)* &
                      dZZ/2d0 + coupl(nGC_45)*dZZA/2d0 + coupl(nGC_6)*dZAZ/2d0
    coupl(nGC_4972) = coupl(nGC_3437) + coupl(nGC_4)*dZA/2d0 + coupl(nGC_40)*  &
                      dZZA/2d0
    coupl(nGC_4976) = coupl(nGC_3463) + coupl(nGC_4)*dZAZ/2d0 + coupl(nGC_40)* &
                      dZZ/2d0
    coupl(nGC_4980) = coupl(nGC_28)*dZA/2d0 + coupl(nGC_28)*dZWMinus/2d0 +     &
                      coupl(nGC_3452) + coupl(nGC_9)*dZZA/2d0
    coupl(nGC_4984) = coupl(nGC_28)*dZAZ/2d0 + coupl(nGC_3464) + coupl(nGC_9)* &
                      dZWMinus/2d0 + coupl(nGC_9)*dZZ/2d0
    coupl(nGC_4988) = coupl(nGC_27)*dZA/2d0 + coupl(nGC_27)*dZH/2d0 + coupl(   &
                      nGC_27)*dZWMinus/2d0 + coupl(nGC_3453) + coupl(nGC_8)*   &
                      dZZA/2d0
    coupl(nGC_4992) = coupl(nGC_27)*dZAZ/2d0 + coupl(nGC_3465) + coupl(nGC_8)* &
                      dZH/2d0 + coupl(nGC_8)*dZWMinus/2d0 + coupl(nGC_8)*dZZ/  &
                      2d0
    coupl(nGC_4996) = coupl(nGC_3454) + coupl(nGC_47)*dZZA/2d0 + coupl(nGC_51)*&
                      dZA/2d0 + coupl(nGC_51)*dZWMinus/2d0
    coupl(nGC_5000) = coupl(nGC_3466) + coupl(nGC_47)*dZWMinus/2d0 + coupl(    &
                      nGC_47)*dZZ/2d0 + coupl(nGC_51)*dZAZ/2d0
    coupl(nGC_5003) = coupl(nGC_22)*dZWMinus/2d0 + coupl(nGC_3455)
    coupl(nGC_5006) = coupl(nGC_21)*dZH/2d0 + coupl(nGC_21)*dZWMinus/2d0 +     &
                      coupl(nGC_3456)
    coupl(nGC_5010) = coupl(nGC_26)*dZA/2d0 + coupl(nGC_26)*dZWMinus/2d0 +     &
                      coupl(nGC_3457) + coupl(nGC_7)*dZZA/2d0
    coupl(nGC_5014) = coupl(nGC_26)*dZAZ/2d0 + coupl(nGC_3467) + coupl(nGC_7)* &
                      dZWMinus/2d0 + coupl(nGC_7)*dZZ/2d0
    coupl(nGC_5031) = coupl(nGC_20)*dZH/2d0 + coupl(nGC_20)*dZWMinus/2d0 +     &
                      coupl(nGC_3458)
    coupl(nGC_5034) = coupl(nGC_17)*dZWMinus + coupl(nGC_3459)
    coupl(nGC_5039) = coupl(nGC_17)*dZH + coupl(nGC_17)*dZWMinus + coupl(      &
                      nGC_3459)
    coupl(nGC_5042) = coupl(nGC_3460) + coupl(nGC_50)*dZH/2d0 + coupl(nGC_50)* &
                      dZWMinus
    coupl(nGC_5050) = coupl(nGC_3469) + coupl(nGC_42)*dZAZ + coupl(nGC_45)*dZZ
    coupl(nGC_5053) = coupl(nGC_3462) + coupl(nGC_37)*dZH/2d0 + coupl(nGC_37)* &
                      dZZ/2d0
    coupl(nGC_5093) = coupl(nGC_3468) + coupl(nGC_46)*dZZ
    coupl(nGC_5097) = coupl(nGC_3468) + coupl(nGC_46)*dZH + coupl(nGC_46)*dZZ
    coupl(nGC_5101) = coupl(nGC_3470) + coupl(nGC_52)*dZH/2d0 + coupl(nGC_52)* &
                      dZZ
    coupl(nGC_5111) = coupl(nGC_3437) + coupl(nGC_4)*dZA/2d0
    coupl(nGC_5112) = coupl(nGC_5110) + coupl(nGC_5111)
    coupl(nGC_5113) = coupl(nGC_5109) + coupl(nGC_5111)
    coupl(nGC_5119) = coupl(nGC_3480) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)* &
                      dZeMinusR
    coupl(nGC_5120) = coupl(nGC_3463) + coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)* &
                      dZeMinusL
    coupl(nGC_5121) = coupl(nGC_5114) + coupl(nGC_5119)
    coupl(nGC_5122) = coupl(nGC_5114) + coupl(nGC_5120)
    coupl(nGC_5131) = coupl(nGC_5111) + coupl(nGC_5130)
    coupl(nGC_5132) = coupl(nGC_5111) + coupl(nGC_5129)
    coupl(nGC_5138) = coupl(nGC_3480) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)* &
                      dZmuMinusR
    coupl(nGC_5139) = coupl(nGC_3463) + coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)* &
                      dZmuMinusL
    coupl(nGC_5140) = coupl(nGC_5114) + coupl(nGC_5138)
    coupl(nGC_5141) = coupl(nGC_5114) + coupl(nGC_5139)
    coupl(nGC_5150) = coupl(nGC_5111) + coupl(nGC_5149)
    coupl(nGC_5151) = coupl(nGC_5111) + coupl(nGC_5148)
    coupl(nGC_5157) = coupl(nGC_3480) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)* &
                      dZtauMinusR
    coupl(nGC_5158) = coupl(nGC_3463) + coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)* &
                      dZtauMinusL
    coupl(nGC_5159) = coupl(nGC_5114) + coupl(nGC_5157)
    coupl(nGC_5160) = coupl(nGC_5114) + coupl(nGC_5158)
    coupl(nGC_5169) = coupl(nGC_2)*dZA/2d0 + coupl(nGC_3471)
    coupl(nGC_5170) = coupl(nGC_5166) + coupl(nGC_5169)
    coupl(nGC_5171) = coupl(nGC_5163) + coupl(nGC_5169)
    coupl(nGC_5181) = coupl(nGC_3475) + coupl(nGC_35)*dZZ/2d0
    coupl(nGC_5182) = coupl(nGC_3476) + coupl(nGC_39)*dZZ/2d0
    coupl(nGC_5183) = coupl(nGC_5172) + coupl(nGC_5181)
    coupl(nGC_5184) = coupl(nGC_5172) + coupl(nGC_5182)
    coupl(nGC_5210) = coupl(nGC_5169) + coupl(nGC_5209)
    coupl(nGC_5211) = coupl(nGC_5169) + coupl(nGC_5208)
    coupl(nGC_5217) = coupl(nGC_3475) + coupl(nGC_35)*dZZ/2d0 + coupl(nGC_35)* &
                      dZtR
    coupl(nGC_5218) = coupl(nGC_3476) + coupl(nGC_39)*dZZ/2d0 + coupl(nGC_39)* &
                      dZtL
    coupl(nGC_5219) = coupl(nGC_5172) + coupl(nGC_5217)
    coupl(nGC_5220) = coupl(nGC_5172) + coupl(nGC_5218)
    coupl(nGC_5229) = coupl(nGC_1)*dZA/2d0 + coupl(nGC_3472)
  end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
