!******************************************************************************!
!                                                                              !
!    ctparameter1.f90                                                          !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter1.f90                               |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 12:50             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter1
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter1()
  if (dMU_QED2_scheme .eq. 0) then
    dMU_QED2 = (2d0*Ten29*cMU*coupl(nGC_2)**2d0 - 2d0*Ten30*cMU*coupl(nGC_2)** &
               2d0 + Ten31*cMU*(8d0*coupl(nGC_35)*coupl(nGC_39) - coupl(nGC_86 &
               )**2d0 - coupl(nGC_88)**2d0)/2d0 - Ten32*cMD*coupl(nGC_61)*coupl&
               (nGC_85) - 2d0*Ten33*cMU*coupl(nGC_87)**2d0 + Ten34*cMU*(coupl( &
               nGC_35)**2d0 + coupl(nGC_39)**2d0 + coupl(nGC_86)*coupl(nGC_88  &
               )) + Ten35*cMU*(2d0*coupl(nGC_23)**2d0 + coupl(nGC_61)**2d0 +   &
               coupl(nGC_85)**2d0)/2d0 - Ten36*cMU*coupl(nGC_87)**2d0 + pi**2d0&
               *(-cMU*coupl(nGC_2)**2d0/pi**2d0 + cMU*coupl(nGC_23)**2d0/(2d0* &
               pi**2d0) + cMU*coupl(nGC_35)**2d0/(2d0*pi**2d0) - 2d0*cMU*coupl(&
               nGC_35)*coupl(nGC_39)/pi**2d0 + cMU*coupl(nGC_39)**2d0/(2d0*pi**&
               2d0)))/(16d0*pi**2d0)
    dMU_QED2 = cone*real(dMU_QED2,kind=dp)
  end if 
end subroutine set_ctparameter1
end module ctparameter1
