!******************************************************************************!
!                                                                              !
!    ctparameter40.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter40.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 12:50             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter40
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter40()
  if (dMC_QED2_scheme .eq. 0) then
    dMC_QED2 = (2d0*Ten67*cMC*coupl(nGC_2)**2d0 - 2d0*Ten68*cMC*coupl(nGC_2)** &
               2d0 + Ten69*cMC*(8d0*coupl(nGC_35)*coupl(nGC_39) - coupl(nGC_58 &
               )**2d0 - coupl(nGC_60)**2d0)/2d0 - Ten70*cMC*coupl(nGC_59)**2d0 &
                - Ten71*cMS*coupl(nGC_57)*coupl(nGC_73) + Ten72*cMC*(coupl(    &
               nGC_35)**2d0 + coupl(nGC_39)**2d0 + coupl(nGC_58)*coupl(nGC_60  &
               )) + Ten73*cMC*coupl(nGC_59)**2d0 + Ten74*cMC*(2d0*coupl(nGC_23 &
               )**2d0 + coupl(nGC_57)**2d0 + coupl(nGC_73)**2d0)/2d0 + Ten75*  &
               cMC*rMC*(8d0*cMC*coupl(nGC_35)*coupl(nGC_39) - cMC*coupl(nGC_58 &
               )**2d0 - cMC*coupl(nGC_60)**2d0 - 8d0*coupl(nGC_35)*coupl(nGC_39&
               )*rMC + coupl(nGC_58)**2d0*rMC + coupl(nGC_60)**2d0*rMC) + 2d0* &
               Ten76*cMC*coupl(nGC_59)**2d0*rMC*(-cMC + rMC) + 4d0*Ten77*coupl(&
               nGC_2)**2d0*rMC*(2d0*cMC**2d0 - 3d0*cMC*rMC + rMC**2d0) + 2d0*  &
               Ten78*cMS*coupl(nGC_57)*coupl(nGC_73)*rMC*(-cMC + rMC) + 2d0*   &
               Ten79*rMC**2d0*(cMC*coupl(nGC_35)**2d0 + cMC*coupl(nGC_39)**2d0 &
                + cMC*coupl(nGC_58)*coupl(nGC_60) - coupl(nGC_35)**2d0*rMC -   &
               coupl(nGC_39)**2d0*rMC - coupl(nGC_58)*coupl(nGC_60)*rMC) + 2d0*&
               Ten80*coupl(nGC_59)**2d0*rMC**2d0*(cMC - rMC) + 4d0*Ten81*coupl(&
               nGC_2)**2d0*rMC**2d0*(-cMC + rMC) + Ten82*rMC**2d0*(2d0*cMC*    &
               coupl(nGC_23)**2d0 + cMC*coupl(nGC_57)**2d0 + cMC*coupl(nGC_73  &
               )**2d0 - 2d0*coupl(nGC_23)**2d0*rMC - coupl(nGC_57)**2d0*rMC -  &
               coupl(nGC_73)**2d0*rMC) + pi**2d0*(-32d0*aEW*cMC**2d0/(9d0*pi*  &
               rMC) + 32d0*aEW*rMC/(9d0*pi) - cMC*coupl(nGC_2)**2d0/pi**2d0 +  &
               cMC*coupl(nGC_23)**2d0/(2d0*pi**2d0) + cMC*coupl(nGC_35)**2d0/( &
               2d0*pi**2d0) - 2d0*cMC*coupl(nGC_35)*coupl(nGC_39)/pi**2d0 + cMC&
               *coupl(nGC_39)**2d0/(2d0*pi**2d0)))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dMC_QED2 = cone*real(dMC_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter40
end module ctparameter40
