!******************************************************************************!
!                                                                              !
!    ctparameter52.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter52.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 12:50             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter52
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter52()
  if (dZcL_QED2_scheme .eq. 0) then
    dZcL_QED2 = (2d0*Ten67*coupl(nGC_2)**2d0 + 2d0*Ten68*coupl(nGC_2)**2d0 +   &
                Ten72*(-2d0*coupl(nGC_39)**2d0 - coupl(nGC_58)*coupl(nGC_60    &
                )) - Ten73*coupl(nGC_59)**2d0 + Ten74*(-2d0*coupl(nGC_23)**2d0 &
                 - coupl(nGC_73)**2d0) + Ten75*cMC*rMC*(-8d0*coupl(nGC_35)*    &
                coupl(nGC_39) + coupl(nGC_58)**2d0 + coupl(nGC_60)**2d0) + 2d0*&
                Ten76*cMC*coupl(nGC_59)**2d0*rMC + 4d0*Ten77*coupl(nGC_2)**2d0*&
                rMC*(-2d0*cMC + rMC) + 2d0*Ten78*cMS*coupl(nGC_57)*coupl(nGC_73&
                )*rMC + 2d0*Ten79*rMC**2d0*(-coupl(nGC_35)**2d0 - coupl(nGC_39 &
                )**2d0 - coupl(nGC_58)*coupl(nGC_60)) - 2d0*Ten80*coupl(nGC_59 &
                )**2d0*rMC**2d0 + 4d0*Ten81*coupl(nGC_2)**2d0*rMC**2d0 + Ten82*&
                rMC**2d0*(-2d0*coupl(nGC_23)**2d0 - coupl(nGC_57)**2d0 - coupl(&
                nGC_73)**2d0) + pi**2d0*(-coupl(nGC_2)**2d0/pi**2d0 - coupl(   &
                nGC_23)**2d0/pi**2d0 - coupl(nGC_39)**2d0/pi**2d0))/(16d0*pi** &
                2d0)
    if (.not. complex_mass_scheme) then
      dZcL_QED2 = cone*real(dZcL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter52
end module ctparameter52
