!******************************************************************************!
!                                                                              !
!    ctparameter67.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter67.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 12:50             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter67
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter67()
  if (dZsR_QED2_scheme .eq. 0) then
    dZsR_QED2 = (2d0*Ten101*coupl(nGC_1)**2d0 + 2d0*Ten102*coupl(nGC_1)**2d0 + &
                Ten105*coupl(nGC_75)**2d0 + Ten106*(-2d0*coupl(nGC_34)**2d0 -  &
                coupl(nGC_74)*coupl(nGC_76)) - Ten107*coupl(nGC_73)**2d0 +     &
                Ten108*coupl(nGC_75)**2d0 + Ten109*cMS**2d0*(-8d0*coupl(nGC_34 &
                )*coupl(nGC_38) + coupl(nGC_74)**2d0 + coupl(nGC_76)**2d0) -   &
                4d0*Ten110*cMS**2d0*coupl(nGC_1)**2d0 + 2d0*Ten111*cMC*cMS*    &
                coupl(nGC_57)*coupl(nGC_73) + 4d0*Ten112*cMS**2d0*coupl(nGC_75 &
                )**2d0 + 2d0*Ten113*cMS**2d0*(-coupl(nGC_34)**2d0 - coupl(     &
                nGC_38)**2d0 - coupl(nGC_74)*coupl(nGC_76)) + 4d0*Ten114*cMS** &
                2d0*coupl(nGC_1)**2d0 + Ten115*cMS**2d0*(-2d0*coupl(nGC_23)**  &
                2d0 - coupl(nGC_57)**2d0 - coupl(nGC_73)**2d0) + 2d0*Ten116*cMS&
                **2d0*coupl(nGC_75)**2d0 + pi**2d0*(-coupl(nGC_1)**2d0/pi**2d0 &
                 - coupl(nGC_34)**2d0/pi**2d0))/(16d0*pi**2d0)
    dZsR_QED2 = cone*real(dZsR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter67
end module ctparameter67
