!******************************************************************************!
!                                                                              !
!    ctparameter8.f90                                                          !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter8.f90                               |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 12:50             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter8
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter8()
  if (dZuR_QED2_scheme .eq. 1) then
    dZuR_QED2 = (2d0*Ten29*coupl(nGC_2)**2d0 + 2d0*Ten30*coupl(nGC_2)**2d0 -   &
                2d0*Ten34*coupl(nGC_35)**2d0 - 4d0*Ten38*cMU_reg**2d0*coupl(   &
                nGC_2)**2d0 + 4d0*Ten42*cMU_reg**2d0*coupl(nGC_2)**2d0 + pi**  &
                2d0*(-coupl(nGC_2)**2d0/pi**2d0 - coupl(nGC_35)**2d0/pi**2d0   &
                ))/(16d0*pi**2d0)
    dZuR_QED2 = cone*real(dZuR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter8
end module ctparameter8
