!******************************************************************************!
!                                                                              !
!    fill_ctparameters.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctparameters.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 12:50             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctparameters
  use class_ctparameters
  use modelintegrals, only: set_modelintegrals
  use ctparameter0, only: set_ctparameter0
  use ctparameter1, only: set_ctparameter1
  use ctparameter2, only: set_ctparameter2
  use ctparameter3, only: set_ctparameter3
  use ctparameter4, only: set_ctparameter4
  use ctparameter5, only: set_ctparameter5
  use ctparameter6, only: set_ctparameter6
  use ctparameter7, only: set_ctparameter7
  use ctparameter8, only: set_ctparameter8
  use ctparameter9, only: set_ctparameter9
  use ctparameter10, only: set_ctparameter10
  use ctparameter11, only: set_ctparameter11
  use ctparameter12, only: set_ctparameter12
  use ctparameter13, only: set_ctparameter13
  use ctparameter14, only: set_ctparameter14
  use ctparameter15, only: set_ctparameter15
  use ctparameter16, only: set_ctparameter16
  use ctparameter17, only: set_ctparameter17
  use ctparameter18, only: set_ctparameter18
  use ctparameter19, only: set_ctparameter19
  use ctparameter20, only: set_ctparameter20
  use ctparameter21, only: set_ctparameter21
  use ctparameter22, only: set_ctparameter22
  use ctparameter23, only: set_ctparameter23
  use ctparameter24, only: set_ctparameter24
  use ctparameter25, only: set_ctparameter25
  use ctparameter26, only: set_ctparameter26
  use ctparameter27, only: set_ctparameter27
  use ctparameter28, only: set_ctparameter28
  use ctparameter29, only: set_ctparameter29
  use ctparameter30, only: set_ctparameter30
  use ctparameter31, only: set_ctparameter31
  use ctparameter32, only: set_ctparameter32
  use ctparameter33, only: set_ctparameter33
  use ctparameter34, only: set_ctparameter34
  use ctparameter35, only: set_ctparameter35
  use ctparameter36, only: set_ctparameter36
  use ctparameter37, only: set_ctparameter37
  use ctparameter38, only: set_ctparameter38
  use ctparameter39, only: set_ctparameter39
  use ctparameter40, only: set_ctparameter40
  use ctparameter41, only: set_ctparameter41
  use ctparameter42, only: set_ctparameter42
  use ctparameter43, only: set_ctparameter43
  use ctparameter44, only: set_ctparameter44
  use ctparameter45, only: set_ctparameter45
  use ctparameter46, only: set_ctparameter46
  use ctparameter47, only: set_ctparameter47
  use ctparameter48, only: set_ctparameter48
  use ctparameter49, only: set_ctparameter49
  use ctparameter50, only: set_ctparameter50
  use ctparameter51, only: set_ctparameter51
  use ctparameter52, only: set_ctparameter52
  use ctparameter53, only: set_ctparameter53
  use ctparameter54, only: set_ctparameter54
  use ctparameter55, only: set_ctparameter55
  use ctparameter56, only: set_ctparameter56
  use ctparameter57, only: set_ctparameter57
  use ctparameter58, only: set_ctparameter58
  use ctparameter59, only: set_ctparameter59
  use ctparameter60, only: set_ctparameter60
  use ctparameter61, only: set_ctparameter61
  use ctparameter62, only: set_ctparameter62
  use ctparameter63, only: set_ctparameter63
  use ctparameter64, only: set_ctparameter64
  use ctparameter65, only: set_ctparameter65
  use ctparameter66, only: set_ctparameter66
  use ctparameter67, only: set_ctparameter67
  use ctparameter68, only: set_ctparameter68
  use ctparameter69, only: set_ctparameter69
  use ctparameter70, only: set_ctparameter70
  use ctparameter71, only: set_ctparameter71
  use ctparameter72, only: set_ctparameter72
  use ctparameter73, only: set_ctparameter73
  use ctparameter74, only: set_ctparameter74
  use derived_ctparameter, only: set_derived_ctparameter
  contains

  subroutine set_renoscheme_mdl(ctparam,renoscheme)
    use input_mdl, only: warning_mdl
    character(*), intent(in) :: ctparam
    character(*), intent(in) :: renoscheme

    select case(ctparam)
    case('dZg_QCD2')
      select case(renoscheme)
      case('onshell')
        dZg_QCD2_scheme = 0
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='set_renoscheme_mdl')
      end select 
    case('dMU_QED2')
      select case(renoscheme)
      case('onshell')
        dMU_QED2_scheme = 0
      case('massreg')
        dMU_QED2_scheme = 1
      case('dimreg')
        dMU_QED2_scheme = 2
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='set_renoscheme_mdl')
      end select 
    case('dMU_QCD2')
      select case(renoscheme)
      case('onshell')
        dMU_QCD2_scheme = 0
      case('massreg')
        dMU_QCD2_scheme = 1
      case('dimreg')
        dMU_QCD2_scheme = 2
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='set_renoscheme_mdl')
      end select 
    case('dZuR_QED2')
      select case(renoscheme)
      case('onshell')
        dZuR_QED2_scheme = 0
      case('massreg')
        dZuR_QED2_scheme = 1
      case('dimreg')
        dZuR_QED2_scheme = 2
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='set_renoscheme_mdl')
      end select 
    case('dZuR_QCD2')
      select case(renoscheme)
      case('onshell')
        dZuR_QCD2_scheme = 0
      case('massreg')
        dZuR_QCD2_scheme = 1
      case('dimreg')
        dZuR_QCD2_scheme = 2
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='set_renoscheme_mdl')
      end select 
    case('dZuL_QCD2')
      select case(renoscheme)
      case('onshell')
        dZuL_QCD2_scheme = 0
      case('massreg')
        dZuL_QCD2_scheme = 1
      case('dimreg')
        dZuL_QCD2_scheme = 2
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='set_renoscheme_mdl')
      end select 
    case('dZuL_QED2')
      select case(renoscheme)
      case('onshell')
        dZuL_QED2_scheme = 0
      case('massreg')
        dZuL_QED2_scheme = 1
      case('dimreg')
        dZuL_QED2_scheme = 2
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='set_renoscheme_mdl')
      end select 
    case('dZdR_QED2')
      select case(renoscheme)
      case('onshell')
        dZdR_QED2_scheme = 0
      case('massreg')
        dZdR_QED2_scheme = 1
      case('dimreg')
        dZdR_QED2_scheme = 2
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='set_renoscheme_mdl')
      end select 
    case('dZdR_QCD2')
      select case(renoscheme)
      case('onshell')
        dZdR_QCD2_scheme = 0
      case('massreg')
        dZdR_QCD2_scheme = 1
      case('dimreg')
        dZdR_QCD2_scheme = 2
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='set_renoscheme_mdl')
      end select 
    case('dMD_QED2')
      select case(renoscheme)
      case('onshell')
        dMD_QED2_scheme = 0
      case('massreg')
        dMD_QED2_scheme = 1
      case('dimreg')
        dMD_QED2_scheme = 2
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='set_renoscheme_mdl')
      end select 
    case('dMD_QCD2')
      select case(renoscheme)
      case('onshell')
        dMD_QCD2_scheme = 0
      case('massreg')
        dMD_QCD2_scheme = 1
      case('dimreg')
        dMD_QCD2_scheme = 2
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='set_renoscheme_mdl')
      end select 
    case('dZdL_QED2')
      select case(renoscheme)
      case('onshell')
        dZdL_QED2_scheme = 0
      case('massreg')
        dZdL_QED2_scheme = 1
      case('dimreg')
        dZdL_QED2_scheme = 2
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='set_renoscheme_mdl')
      end select 
    case('dZdL_QCD2')
      select case(renoscheme)
      case('onshell')
        dZdL_QCD2_scheme = 0
      case('massreg')
        dZdL_QCD2_scheme = 1
      case('dimreg')
        dZdL_QCD2_scheme = 2
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='set_renoscheme_mdl')
      end select 
    case('dMC_QCD2')
      select case(renoscheme)
      case('onshell')
        dMC_QCD2_scheme = 0
      case('massreg')
        dMC_QCD2_scheme = 1
      case('dimreg')
        dMC_QCD2_scheme = 2
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='set_renoscheme_mdl')
      end select 
    case('dMC_QED2')
      select case(renoscheme)
      case('onshell')
        dMC_QED2_scheme = 0
      case('massreg')
        dMC_QED2_scheme = 1
      case('dimreg')
        dMC_QED2_scheme = 2
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='set_renoscheme_mdl')
      end select 
    case('dZcR_QED2')
      select case(renoscheme)
      case('onshell')
        dZcR_QED2_scheme = 0
      case('massreg')
        dZcR_QED2_scheme = 1
      case('dimreg')
        dZcR_QED2_scheme = 2
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='set_renoscheme_mdl')
      end select 
    case('dZcR_QCD2')
      select case(renoscheme)
      case('onshell')
        dZcR_QCD2_scheme = 0
      case('massreg')
        dZcR_QCD2_scheme = 1
      case('dimreg')
        dZcR_QCD2_scheme = 2
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='set_renoscheme_mdl')
      end select 
    case('dZcL_QCD2')
      select case(renoscheme)
      case('onshell')
        dZcL_QCD2_scheme = 0
      case('massreg')
        dZcL_QCD2_scheme = 1
      case('dimreg')
        dZcL_QCD2_scheme = 2
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='set_renoscheme_mdl')
      end select 
    case('dZcL_QED2')
      select case(renoscheme)
      case('onshell')
        dZcL_QED2_scheme = 0
      case('massreg')
        dZcL_QED2_scheme = 1
      case('dimreg')
        dZcL_QED2_scheme = 2
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='set_renoscheme_mdl')
      end select 
    case('dZsL_QCD2')
      select case(renoscheme)
      case('onshell')
        dZsL_QCD2_scheme = 0
      case('massreg')
        dZsL_QCD2_scheme = 1
      case('dimreg')
        dZsL_QCD2_scheme = 2
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='set_renoscheme_mdl')
      end select 
    case('dZsL_QED2')
      select case(renoscheme)
      case('onshell')
        dZsL_QED2_scheme = 0
      case('massreg')
        dZsL_QED2_scheme = 1
      case('dimreg')
        dZsL_QED2_scheme = 2
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='set_renoscheme_mdl')
      end select 
    case('dMS_QED2')
      select case(renoscheme)
      case('onshell')
        dMS_QED2_scheme = 0
      case('massreg')
        dMS_QED2_scheme = 1
      case('dimreg')
        dMS_QED2_scheme = 2
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='set_renoscheme_mdl')
      end select 
    case('dMS_QCD2')
      select case(renoscheme)
      case('onshell')
        dMS_QCD2_scheme = 0
      case('massreg')
        dMS_QCD2_scheme = 1
      case('dimreg')
        dMS_QCD2_scheme = 2
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='set_renoscheme_mdl')
      end select 
    case('dZsR_QED2')
      select case(renoscheme)
      case('onshell')
        dZsR_QED2_scheme = 0
      case('massreg')
        dZsR_QED2_scheme = 1
      case('dimreg')
        dZsR_QED2_scheme = 2
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='set_renoscheme_mdl')
      end select 
    case('dZsR_QCD2')
      select case(renoscheme)
      case('onshell')
        dZsR_QCD2_scheme = 0
      case('massreg')
        dZsR_QCD2_scheme = 1
      case('dimreg')
        dZsR_QCD2_scheme = 2
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='set_renoscheme_mdl')
      end select 
    case('dZgs_QCD2')
      select case(renoscheme)
      case('Nf4')
        dZgs_QCD2_scheme = 0
      case('Nf3')
        dZgs_QCD2_scheme = 1
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='set_renoscheme_mdl')
      end select 
    case default
      call warning_mdl('No renoscheme available for '// trim(ctparam) // '.',  &
      where='set_renoscheme_mdl')
    end select 
  end subroutine set_renoscheme_mdl

  function get_renoscheme_mdl(ctparam)
    use input_mdl, only: warning_mdl
    character(*), intent(in) :: ctparam
    character(len=100) :: get_renoscheme_mdl

    select case(ctparam)
    case('dZg_QCD2')
      select case(dZg_QCD2_scheme)
      case(0)
        get_renoscheme_mdl = "onshell"
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='get_renoscheme_mdl')
        get_renoscheme_mdl = "NONE"
      end select 
    case('dMU_QED2')
      select case(dMU_QED2_scheme)
      case(0)
        get_renoscheme_mdl = "onshell"
      case(1)
        get_renoscheme_mdl = "massreg"
      case(2)
        get_renoscheme_mdl = "dimreg"
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='get_renoscheme_mdl')
        get_renoscheme_mdl = "NONE"
      end select 
    case('dMU_QCD2')
      select case(dMU_QCD2_scheme)
      case(0)
        get_renoscheme_mdl = "onshell"
      case(1)
        get_renoscheme_mdl = "massreg"
      case(2)
        get_renoscheme_mdl = "dimreg"
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='get_renoscheme_mdl')
        get_renoscheme_mdl = "NONE"
      end select 
    case('dZuR_QED2')
      select case(dZuR_QED2_scheme)
      case(0)
        get_renoscheme_mdl = "onshell"
      case(1)
        get_renoscheme_mdl = "massreg"
      case(2)
        get_renoscheme_mdl = "dimreg"
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='get_renoscheme_mdl')
        get_renoscheme_mdl = "NONE"
      end select 
    case('dZuR_QCD2')
      select case(dZuR_QCD2_scheme)
      case(0)
        get_renoscheme_mdl = "onshell"
      case(1)
        get_renoscheme_mdl = "massreg"
      case(2)
        get_renoscheme_mdl = "dimreg"
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='get_renoscheme_mdl')
        get_renoscheme_mdl = "NONE"
      end select 
    case('dZuL_QCD2')
      select case(dZuL_QCD2_scheme)
      case(0)
        get_renoscheme_mdl = "onshell"
      case(1)
        get_renoscheme_mdl = "massreg"
      case(2)
        get_renoscheme_mdl = "dimreg"
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='get_renoscheme_mdl')
        get_renoscheme_mdl = "NONE"
      end select 
    case('dZuL_QED2')
      select case(dZuL_QED2_scheme)
      case(0)
        get_renoscheme_mdl = "onshell"
      case(1)
        get_renoscheme_mdl = "massreg"
      case(2)
        get_renoscheme_mdl = "dimreg"
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='get_renoscheme_mdl')
        get_renoscheme_mdl = "NONE"
      end select 
    case('dZdR_QED2')
      select case(dZdR_QED2_scheme)
      case(0)
        get_renoscheme_mdl = "onshell"
      case(1)
        get_renoscheme_mdl = "massreg"
      case(2)
        get_renoscheme_mdl = "dimreg"
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='get_renoscheme_mdl')
        get_renoscheme_mdl = "NONE"
      end select 
    case('dZdR_QCD2')
      select case(dZdR_QCD2_scheme)
      case(0)
        get_renoscheme_mdl = "onshell"
      case(1)
        get_renoscheme_mdl = "massreg"
      case(2)
        get_renoscheme_mdl = "dimreg"
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='get_renoscheme_mdl')
        get_renoscheme_mdl = "NONE"
      end select 
    case('dMD_QED2')
      select case(dMD_QED2_scheme)
      case(0)
        get_renoscheme_mdl = "onshell"
      case(1)
        get_renoscheme_mdl = "massreg"
      case(2)
        get_renoscheme_mdl = "dimreg"
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='get_renoscheme_mdl')
        get_renoscheme_mdl = "NONE"
      end select 
    case('dMD_QCD2')
      select case(dMD_QCD2_scheme)
      case(0)
        get_renoscheme_mdl = "onshell"
      case(1)
        get_renoscheme_mdl = "massreg"
      case(2)
        get_renoscheme_mdl = "dimreg"
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='get_renoscheme_mdl')
        get_renoscheme_mdl = "NONE"
      end select 
    case('dZdL_QED2')
      select case(dZdL_QED2_scheme)
      case(0)
        get_renoscheme_mdl = "onshell"
      case(1)
        get_renoscheme_mdl = "massreg"
      case(2)
        get_renoscheme_mdl = "dimreg"
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='get_renoscheme_mdl')
        get_renoscheme_mdl = "NONE"
      end select 
    case('dZdL_QCD2')
      select case(dZdL_QCD2_scheme)
      case(0)
        get_renoscheme_mdl = "onshell"
      case(1)
        get_renoscheme_mdl = "massreg"
      case(2)
        get_renoscheme_mdl = "dimreg"
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='get_renoscheme_mdl')
        get_renoscheme_mdl = "NONE"
      end select 
    case('dMC_QCD2')
      select case(dMC_QCD2_scheme)
      case(0)
        get_renoscheme_mdl = "onshell"
      case(1)
        get_renoscheme_mdl = "massreg"
      case(2)
        get_renoscheme_mdl = "dimreg"
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='get_renoscheme_mdl')
        get_renoscheme_mdl = "NONE"
      end select 
    case('dMC_QED2')
      select case(dMC_QED2_scheme)
      case(0)
        get_renoscheme_mdl = "onshell"
      case(1)
        get_renoscheme_mdl = "massreg"
      case(2)
        get_renoscheme_mdl = "dimreg"
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='get_renoscheme_mdl')
        get_renoscheme_mdl = "NONE"
      end select 
    case('dZcR_QED2')
      select case(dZcR_QED2_scheme)
      case(0)
        get_renoscheme_mdl = "onshell"
      case(1)
        get_renoscheme_mdl = "massreg"
      case(2)
        get_renoscheme_mdl = "dimreg"
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='get_renoscheme_mdl')
        get_renoscheme_mdl = "NONE"
      end select 
    case('dZcR_QCD2')
      select case(dZcR_QCD2_scheme)
      case(0)
        get_renoscheme_mdl = "onshell"
      case(1)
        get_renoscheme_mdl = "massreg"
      case(2)
        get_renoscheme_mdl = "dimreg"
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='get_renoscheme_mdl')
        get_renoscheme_mdl = "NONE"
      end select 
    case('dZcL_QCD2')
      select case(dZcL_QCD2_scheme)
      case(0)
        get_renoscheme_mdl = "onshell"
      case(1)
        get_renoscheme_mdl = "massreg"
      case(2)
        get_renoscheme_mdl = "dimreg"
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='get_renoscheme_mdl')
        get_renoscheme_mdl = "NONE"
      end select 
    case('dZcL_QED2')
      select case(dZcL_QED2_scheme)
      case(0)
        get_renoscheme_mdl = "onshell"
      case(1)
        get_renoscheme_mdl = "massreg"
      case(2)
        get_renoscheme_mdl = "dimreg"
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='get_renoscheme_mdl')
        get_renoscheme_mdl = "NONE"
      end select 
    case('dZsL_QCD2')
      select case(dZsL_QCD2_scheme)
      case(0)
        get_renoscheme_mdl = "onshell"
      case(1)
        get_renoscheme_mdl = "massreg"
      case(2)
        get_renoscheme_mdl = "dimreg"
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='get_renoscheme_mdl')
        get_renoscheme_mdl = "NONE"
      end select 
    case('dZsL_QED2')
      select case(dZsL_QED2_scheme)
      case(0)
        get_renoscheme_mdl = "onshell"
      case(1)
        get_renoscheme_mdl = "massreg"
      case(2)
        get_renoscheme_mdl = "dimreg"
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='get_renoscheme_mdl')
        get_renoscheme_mdl = "NONE"
      end select 
    case('dMS_QED2')
      select case(dMS_QED2_scheme)
      case(0)
        get_renoscheme_mdl = "onshell"
      case(1)
        get_renoscheme_mdl = "massreg"
      case(2)
        get_renoscheme_mdl = "dimreg"
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='get_renoscheme_mdl')
        get_renoscheme_mdl = "NONE"
      end select 
    case('dMS_QCD2')
      select case(dMS_QCD2_scheme)
      case(0)
        get_renoscheme_mdl = "onshell"
      case(1)
        get_renoscheme_mdl = "massreg"
      case(2)
        get_renoscheme_mdl = "dimreg"
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='get_renoscheme_mdl')
        get_renoscheme_mdl = "NONE"
      end select 
    case('dZsR_QED2')
      select case(dZsR_QED2_scheme)
      case(0)
        get_renoscheme_mdl = "onshell"
      case(1)
        get_renoscheme_mdl = "massreg"
      case(2)
        get_renoscheme_mdl = "dimreg"
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='get_renoscheme_mdl')
        get_renoscheme_mdl = "NONE"
      end select 
    case('dZsR_QCD2')
      select case(dZsR_QCD2_scheme)
      case(0)
        get_renoscheme_mdl = "onshell"
      case(1)
        get_renoscheme_mdl = "massreg"
      case(2)
        get_renoscheme_mdl = "dimreg"
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='get_renoscheme_mdl')
        get_renoscheme_mdl = "NONE"
      end select 
    case('dZgs_QCD2')
      select case(dZgs_QCD2_scheme)
      case(0)
        get_renoscheme_mdl = "Nf4"
      case(1)
        get_renoscheme_mdl = "Nf3"
      case default
        call warning_mdl('Invalid renoscheme for '// trim(ctparam) // '.',     &
        where='get_renoscheme_mdl')
        get_renoscheme_mdl = "NONE"
      end select 
    case default
      call warning_mdl('No renoschemes for '// trim(ctparam) // '.', where     &
      ='get_renoscheme_mdl')
      get_renoscheme_mdl = "NONE"
    end select 
  end function get_renoscheme_mdl

  subroutine print_renoschemes_mdl()
    use input_mdl, only: nx
    character(len=100) :: active_renoscheme
    character(len=14) :: fmt = '(4x,a15,a30)'

    write(nx,*) 'Renormalization scheme choice:'
!   dZgs_QCD2, schemes: Nf4,Nf3
    active_renoscheme = get_renoscheme_mdl("dZgs_QCD2")
    write(nx,fmt) adjustl('dZgs_QCD2: '), trim(active_renoscheme)
    write(nx,'(1x,75("-"))')
  end subroutine print_renoschemes_mdl

  subroutine print_counterterms_mdl()
    use input_mdl, only: nx
    character(len=26) :: fmtc = '(4x,a17,es23.16,x,es23.16)'
    write(nx,'(1x,75("-"))')
    write(nx,*) 'Counterterm parameters'
    write(nx,'(1x,75("-"))')
    write(nx,*) 'Particle counterterm parameter:'
    write(nx,*) 'Particle: g'
    write(nx,fmtc) 'dZg_QCD2 =', dZg_QCD2
    write(nx,*) 'Particle: u'
    write(nx,fmtc) 'dMU_QCD2 =', dMU_QCD2
    write(nx,fmtc) 'dMU_QED2 =', dMU_QED2
    write(nx,fmtc) 'dZuL_QCD2 =', dZuL_QCD2
    write(nx,fmtc) 'dZuL_QED2 =', dZuL_QED2
    write(nx,fmtc) 'dZuR_QCD2 =', dZuR_QCD2
    write(nx,fmtc) 'dZuR_QED2 =', dZuR_QED2
    write(nx,*) 'Particle: c'
    write(nx,fmtc) 'dMC_QCD2 =', dMC_QCD2
    write(nx,fmtc) 'dMC_QED2 =', dMC_QED2
    write(nx,fmtc) 'dZcR_QCD2 =', dZcR_QCD2
    write(nx,fmtc) 'dZcR_QED2 =', dZcR_QED2
    write(nx,fmtc) 'dZcL_QCD2 =', dZcL_QCD2
    write(nx,fmtc) 'dZcL_QED2 =', dZcL_QED2
    write(nx,*) 'Particle: d'
    write(nx,fmtc) 'dMD_QCD2 =', dMD_QCD2
    write(nx,fmtc) 'dMD_QED2 =', dMD_QED2
    write(nx,fmtc) 'dZdL_QCD2 =', dZdL_QCD2
    write(nx,fmtc) 'dZdL_QED2 =', dZdL_QED2
    write(nx,fmtc) 'dZdR_QCD2 =', dZdR_QCD2
    write(nx,fmtc) 'dZdR_QED2 =', dZdR_QED2
    write(nx,*) 'Particle: s'
    write(nx,fmtc) 'dMS_QCD2 =', dMS_QCD2
    write(nx,fmtc) 'dMS_QED2 =', dMS_QED2
    write(nx,fmtc) 'dZsL_QCD2 =', dZsL_QCD2
    write(nx,fmtc) 'dZsL_QED2 =', dZsL_QED2
    write(nx,fmtc) 'dZsR_QCD2 =', dZsR_QCD2
    write(nx,fmtc) 'dZsR_QED2 =', dZsR_QED2
    write(nx,'(1x,75("-"))')
    write(nx,*) 'Coupling counterterm parameter:'
    write(nx,fmtc) 'dZgs_QCD2 =', dZgs_QCD2
  end subroutine print_counterterms_mdl

  subroutine set_light_particles_mdl()
    use class_particles
    use input_mdl, only: nx, print_regularization_scheme
    if (print_regularization_scheme) then
      write(nx,'(1x,75("-"))')
      write(nx,*) 'Light fermions renormalization scheme choice:'
    end if 
    if (MU_reg .eq. 2) then
      if (print_regularization_scheme) then
        write(nx,*) "u is treated in massreg."
        write(nx,*) "Disabled  mass counterterm for u."
      end if 
      call set_renoscheme_mdl("dMU_QED2", "massreg")
      call set_renoscheme_mdl("dMU_QCD2", "massreg")
      call set_renoscheme_mdl("dZuR_QED2", "massreg")
      call set_renoscheme_mdl("dZuR_QCD2", "massreg")
      call set_renoscheme_mdl("dZuL_QCD2", "massreg")
      call set_renoscheme_mdl("dZuL_QED2", "massreg")
    else if (MU_reg .eq. 1) then
      if (print_regularization_scheme) then
        write(nx,*) "u is treated in dimreg."
        write(nx,*) "Disabled  mass counterterm for u."
      end if 
      call set_renoscheme_mdl("dMU_QED2", "dimreg")
      call set_renoscheme_mdl("dMU_QCD2", "dimreg")
      call set_renoscheme_mdl("dZuR_QED2", "dimreg")
      call set_renoscheme_mdl("dZuR_QCD2", "dimreg")
      call set_renoscheme_mdl("dZuL_QCD2", "dimreg")
      call set_renoscheme_mdl("dZuL_QED2", "dimreg")
    end if 
    if (MD_reg .eq. 2) then
      if (print_regularization_scheme) then
        write(nx,*) "d is treated in massreg."
        write(nx,*) "Disabled  mass counterterm for d."
      end if 
      call set_renoscheme_mdl("dZdR_QED2", "massreg")
      call set_renoscheme_mdl("dZdR_QCD2", "massreg")
      call set_renoscheme_mdl("dMD_QED2", "massreg")
      call set_renoscheme_mdl("dMD_QCD2", "massreg")
      call set_renoscheme_mdl("dZdL_QED2", "massreg")
      call set_renoscheme_mdl("dZdL_QCD2", "massreg")
    else if (MD_reg .eq. 1) then
      if (print_regularization_scheme) then
        write(nx,*) "d is treated in dimreg."
        write(nx,*) "Disabled  mass counterterm for d."
      end if 
      call set_renoscheme_mdl("dZdR_QED2", "dimreg")
      call set_renoscheme_mdl("dZdR_QCD2", "dimreg")
      call set_renoscheme_mdl("dMD_QED2", "dimreg")
      call set_renoscheme_mdl("dMD_QCD2", "dimreg")
      call set_renoscheme_mdl("dZdL_QED2", "dimreg")
      call set_renoscheme_mdl("dZdL_QCD2", "dimreg")
    end if 
    if (MC_reg .eq. 2) then
      if (print_regularization_scheme) then
        write(nx,*) "c is treated in massreg."
        write(nx,*) "Disabled  mass counterterm for c."
      end if 
      call set_renoscheme_mdl("dMC_QCD2", "massreg")
      call set_renoscheme_mdl("dMC_QED2", "massreg")
      call set_renoscheme_mdl("dZcR_QED2", "massreg")
      call set_renoscheme_mdl("dZcR_QCD2", "massreg")
      call set_renoscheme_mdl("dZcL_QCD2", "massreg")
      call set_renoscheme_mdl("dZcL_QED2", "massreg")
    else if (MC_reg .eq. 1) then
      if (print_regularization_scheme) then
        write(nx,*) "c is treated in dimreg."
        write(nx,*) "Disabled  mass counterterm for c."
      end if 
      call set_renoscheme_mdl("dMC_QCD2", "dimreg")
      call set_renoscheme_mdl("dMC_QED2", "dimreg")
      call set_renoscheme_mdl("dZcR_QED2", "dimreg")
      call set_renoscheme_mdl("dZcR_QCD2", "dimreg")
      call set_renoscheme_mdl("dZcL_QCD2", "dimreg")
      call set_renoscheme_mdl("dZcL_QED2", "dimreg")
    end if 
    if (MS_reg .eq. 2) then
      if (print_regularization_scheme) then
        write(nx,*) "s is treated in massreg."
        write(nx,*) "Disabled  mass counterterm for s."
      end if 
      call set_renoscheme_mdl("dZsL_QCD2", "massreg")
      call set_renoscheme_mdl("dZsL_QED2", "massreg")
      call set_renoscheme_mdl("dMS_QED2", "massreg")
      call set_renoscheme_mdl("dMS_QCD2", "massreg")
      call set_renoscheme_mdl("dZsR_QED2", "massreg")
      call set_renoscheme_mdl("dZsR_QCD2", "massreg")
    else if (MS_reg .eq. 1) then
      if (print_regularization_scheme) then
        write(nx,*) "s is treated in dimreg."
        write(nx,*) "Disabled  mass counterterm for s."
      end if 
      call set_renoscheme_mdl("dZsL_QCD2", "dimreg")
      call set_renoscheme_mdl("dZsL_QED2", "dimreg")
      call set_renoscheme_mdl("dMS_QED2", "dimreg")
      call set_renoscheme_mdl("dMS_QCD2", "dimreg")
      call set_renoscheme_mdl("dZsR_QED2", "dimreg")
      call set_renoscheme_mdl("dZsR_QCD2", "dimreg")
    end if 
    if (print_regularization_scheme) write(nx,'(1x,75("-"))')
  end subroutine set_light_particles_mdl

  subroutine init_CTparameters_mdl(reset_collier)
    logical, intent(in) :: reset_collier
    call set_light_particles_mdl
    call set_modelintegrals(reset_collier)
    call set_ctparameter0
    call set_ctparameter1
    call set_ctparameter2
    call set_ctparameter3
    call set_ctparameter4
    call set_ctparameter5
    call set_ctparameter6
    call set_ctparameter7
    call set_ctparameter8
    call set_ctparameter9
    call set_ctparameter10
    call set_ctparameter11
    call set_ctparameter12
    call set_ctparameter13
    call set_ctparameter14
    call set_ctparameter15
    call set_ctparameter16
    call set_ctparameter17
    call set_ctparameter18
    call set_ctparameter19
    call set_ctparameter20
    call set_ctparameter21
    call set_ctparameter22
    call set_ctparameter23
    call set_ctparameter24
    call set_ctparameter25
    call set_ctparameter26
    call set_ctparameter27
    call set_ctparameter28
    call set_ctparameter29
    call set_ctparameter30
    call set_ctparameter31
    call set_ctparameter32
    call set_ctparameter33
    call set_ctparameter34
    call set_ctparameter35
    call set_ctparameter36
    call set_ctparameter37
    call set_ctparameter38
    call set_ctparameter39
    call set_ctparameter40
    call set_ctparameter41
    call set_ctparameter42
    call set_ctparameter43
    call set_ctparameter44
    call set_ctparameter45
    call set_ctparameter46
    call set_ctparameter47
    call set_ctparameter48
    call set_ctparameter49
    call set_ctparameter50
    call set_ctparameter51
    call set_ctparameter52
    call set_ctparameter53
    call set_ctparameter54
    call set_ctparameter55
    call set_ctparameter56
    call set_ctparameter57
    call set_ctparameter58
    call set_ctparameter59
    call set_ctparameter60
    call set_ctparameter61
    call set_ctparameter62
    call set_ctparameter63
    call set_ctparameter64
    call set_ctparameter65
    call set_ctparameter66
    call set_ctparameter67
    call set_ctparameter68
    call set_ctparameter69
    call set_ctparameter70
    call set_ctparameter71
    call set_ctparameter72
    call set_ctparameter73
    call set_ctparameter74
    call set_derived_ctparameter
  end subroutine init_CTparameters_mdl
end module fill_ctparameters
