!******************************************************************************!
!                                                                              !
!    lcFVFa.f90                                                                !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   lcFVFa.f90                                     |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 12:50             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module lcFVFa
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20, x21, x22, x23, x24, x25,  &
                  x26, x27, x28, x29
  contains
    subroutine loopFVFa(ty, co, wl, P1, PL1, w2, P2, PL2, m, wp, riMaxIn,      &
    riMaxOut, rankInc)
      use class_vertices
      integer, intent(in) :: riMaxIn, riMaxOut, rankInc
      complex (kind = dp), intent(in), dimension(0:3) :: P1, PL1
      complex (kind = dp), intent(in), dimension(0:3, 0:riMaxIn) :: wl
      complex (kind = dp), intent(in), dimension(0:3) :: P2, PL2
      complex (kind = dp), intent(in), dimension(0:3) :: w2
      complex (dp), intent(out), dimension(0:3,0:riMaxOut) :: wp
      complex (kind = dp), intent(in) :: m
      complex (kind = dp), dimension(0:3) :: pl, p
      integer, intent(in) :: ty
      complex (kind = dp), dimension(0:), intent(in) :: co
      complex (kind = dp), dimension(0:3) :: sp1
      complex (kind = dp), dimension(0:3,0:3) :: sp2
      complex (kind = dp), dimension(0:3,0:3,0:3) :: sp3
      complex (kind = dp), dimension(0:3,0:3,0:3,0:3) :: sp4
      character(len=3) :: ty_str
      integer :: riOut, j
      logical :: isFirstRI
      integer :: mu, nu, ro, ta, te, tu
      select case(ty)
      case(FVFa0)
!       GammaP(2,3,1)*c0
!       GammaM(2,3,1)*c1
        pl(:) = PL1(:) + PL2(:)
        x0 = cima*w2(1)
        x1 = w2(2) + x0
        x2 = w2(0) - w2(3)
        x4 = w2(0) + w2(3)
        x23 = cima*x4
        x25 = co(1)*m
        x26 = pl(1)*w2(1)
        x28 = co(0)*m
        do j = riMaxIn, 0, -1
          x3 = w2(2)*wl(0,j)
          x5 = wl(1,j)*x4
          x6 = co(0)*(cima*x5 - wl(0,j)*x0 + x3)
          x7 = wl(2,j)*x4
          x8 = cima*x7
          x9 = co(1)*(wl(3,j)*x1 + x8)
          x10 = w2(2)*wl(2,j)
          x11 = -x10
          x12 = wl(3,j)*x2
          x13 = co(1)*(cima*x12 + wl(2,j)*x0 + x11)
          x14 = w2(1)*wl(1,j)
          x15 = w2(3)*wl(0,j)
          x16 = w2(0)*wl(0,j)
          x17 = cima*(x14 + x15 - x16)
          x18 = w2(2)*wl(1,j)
          x19 = co(0)*(x17 + x18)
          x20 = w2(1)*wl(2,j)
          x21 = x12 + x20
          x22 = co(0)*wl(0,j)
          x24 = co(0)*wl(1,j)
          x27 = w2(0)*wl(3,j) - w2(3)*wl(3,j) + x20
          x29 = pl(2)*wl(3,j)
          wp(0,j) = -cima*x22*(pl(0)*(-w2(0) + w2(3)) + pl(3)*w2(1)) + pl(3)*( &
                    w2(2)*x22 + x23*x24) - x25*x8 - (w2(2) + x0)*(pl(0)*x24 +  &
                    wl(3,j)*x25)
          wp(1,j) = -cima*x22*(pl(2)*(-w2(0) + w2(3)) + x26) + pl(1)*w2(2)*x22 &
                     + pl(1)*x23*x24 - pl(2)*x24*(w2(2) + x0) - x25*(cima*x27  &
                     + x11)
          wp(2,j) = co(1)*(cima*pl(1)*x7 - cima*pl(3)*x21 + cima*wl(3,j)*x26 + &
                    pl(1)*w2(2)*wl(3,j) + pl(3)*w2(2)*wl(2,j)) + x28*(x17 + x18&
                    )
          wp(3,j) = -co(1)*(-cima*pl(0)*x27 + cima*pl(2)*x7 + cima*w2(1)*x29 + &
                    pl(0)*w2(2)*wl(2,j) + w2(2)*x29) - m*x6
          if(rankInc .lt. 1) cycle
          sp2(0,0) = co(0)*(cima*wl(0,j)*x2 - wl(1,j)*x1)
          sp2(0,1) = x6
          sp2(0,2) = x9
          sp2(0,3) = x13
          sp2(1,0) = -x6
          sp2(1,1) = x19
          sp2(1,2) = x13
          sp2(1,3) = x9
          sp2(2,0) = co(0)*(cima*x3 + w2(1)*wl(0,j) - x5)
          sp2(2,1) = co(0)*(cima*x18 - x14 - x15 + x16)
          sp2(2,2) = co(1)*(cima*x10 + x21)
          sp2(2,3) = -co(1)*(-cima*w2(2)*wl(3,j) + w2(1)*wl(3,j) + x7)
          sp2(3,0) = x19
          sp2(3,1) = x6
          sp2(3,2) = x9
          sp2(3,3) = -co(1)*(cima*x21 + x11)
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(mu,:)
          end do 
        end do 
      case(FVFa1)
!       GammaM(2,3,1)*c0
        pl(:) = PL1(:) + PL2(:)
        x0 = cima*w2(1)
        do j = riMaxIn, 0, -1
          x1 = wl(2,j)*(w2(0) + w2(3))
          x2 = cima*x1
          x3 = co(0)*(wl(3,j)*(w2(2) + x0) + x2)
          x4 = w2(2)*wl(2,j)
          x5 = -x4
          x6 = wl(3,j)*(w2(0) - w2(3))
          x7 = co(0)*(cima*x6 + wl(2,j)*x0 + x5)
          x8 = w2(1)*wl(2,j)
          x9 = x6 + x8
          x10 = co(0)*(cima*x9 + x5)
          x11 = w2(0)*wl(3,j) - w2(3)*wl(3,j) + x8
          x12 = pl(1)*wl(3,j)
          x13 = pl(2)*wl(3,j)
          wp(0,j) = -co(0)*m*(wl(3,j)*(w2(2) + x0) + x2)
          wp(1,j) = -m*x10
          wp(2,j) = co(0)*(cima*pl(1)*x1 - cima*pl(3)*x11 + cima*w2(1)*x12 + pl&
                    (3)*w2(2)*wl(2,j) + w2(2)*x12)
          wp(3,j) = -co(0)*(-cima*pl(0)*x11 + cima*pl(2)*x1 + cima*w2(1)*x13 + &
                    pl(0)*w2(2)*wl(2,j) + w2(2)*x13)
          if(rankInc .lt. 1) cycle
          sp2(0,0) = 0
          sp2(0,1) = 0
          sp2(0,2) = x3
          sp2(0,3) = x7
          sp2(1,0) = 0
          sp2(1,1) = 0
          sp2(1,2) = x7
          sp2(1,3) = x3
          sp2(2,0) = 0
          sp2(2,1) = 0
          sp2(2,2) = co(0)*(cima*x4 + x9)
          sp2(2,3) = -co(0)*(-cima*w2(2)*wl(3,j) + w2(1)*wl(3,j) + x1)
          sp2(3,0) = 0
          sp2(3,1) = 0
          sp2(3,2) = x3
          sp2(3,3) = -x10
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(mu,:)
          end do 
        end do 
      end select 
    end subroutine loopFVFa
end module lcFVFa
