!******************************************************************************!
!                                                                              !
!    modelintegrals.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   modelintegrals.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 12:50             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module modelintegrals
  use constants_mdl, only: dp
  implicit none
  complex(dp) :: Ten0, Ten1, Ten2, Ten3, Ten4, Ten5, Ten6, Ten7, Ten8, Ten9,   &
                 Ten10, Ten11, Ten12, Ten13, Ten14, Ten15, Ten16, Ten17, Ten18 &
                 , Ten19, Ten20, Ten21, Ten22, Ten23, Ten24, Ten25, Ten26,     &
                 Ten27, Ten28, Ten29, Ten30, Ten31, Ten32, Ten33, Ten34, Ten35 &
                 , Ten36, Ten37, Ten38, Ten39, Ten40, Ten41, Ten42, Ten43,     &
                 Ten44, Ten45, Ten46, Ten47, Ten48, Ten49, Ten50, Ten51, Ten52 &
                 , Ten53, Ten54, Ten55, Ten56, Ten57, Ten58, Ten59, Ten60,     &
                 Ten61, Ten62, Ten63, Ten64, Ten65, Ten66, Ten67, Ten68, Ten69 &
                 , Ten70, Ten71, Ten72, Ten73, Ten74, Ten75, Ten76, Ten77,     &
                 Ten78, Ten79, Ten80, Ten81, Ten82, Ten83, Ten84, Ten85, Ten86 &
                 , Ten87, Ten88, Ten89, Ten90, Ten91, Ten92, Ten93, Ten94,     &
                 Ten95, Ten96, Ten97, Ten98, Ten99, Ten100, Ten101, Ten102,    &
                 Ten103, Ten104, Ten105, Ten106, Ten107, Ten108, Ten109, Ten110&
                 , Ten111, Ten112, Ten113, Ten114, Ten115, Ten116, Ten117,     &
                 Ten118, Ten119
  contains
  subroutine set_modelintegrals(reset_collier)
    use input_mdl, only: init_si
    use scalar_functions
    logical, intent(in) :: reset_collier

    if (init_si) call init_scalar_functions(reset_collier)
!   Precomputation of scalar integrals
    Ten0 = B0(cnul, cnul, cnul)
    Ten1 = B1(cnul, cMU2_reg, cMU2_reg)
    Ten2 = B1(cnul, cMC2_reg, cMC2_reg)
    Ten3 = B1(cnul, cMD2_reg, cMD2_reg)
    Ten4 = B1(cnul, cMS2_reg, cMS2_reg)
    Ten5 = B11(cnul, cMU2_reg, cMU2_reg)
    Ten6 = B11(cnul, cMC2_reg, cMC2_reg)
    Ten7 = B11(cnul, cMD2_reg, cMD2_reg)
    Ten8 = B11(cnul, cMS2_reg, cMS2_reg)
    Ten9 = B0(cnul, cMU2_reg, cMU2_reg)
    Ten10 = B0(cnul, cMC2_reg, cMC2_reg)
    Ten11 = B0(cnul, cMD2_reg, cMD2_reg)
    Ten12 = B0(cnul, cMS2_reg, cMS2_reg)
    Ten13 = B00(cnul, cMU2_reg, cMU2_reg)
    Ten14 = B00(cnul, cMC2_reg, cMC2_reg)
    Ten15 = B00(cnul, cMD2_reg, cMD2_reg)
    Ten16 = B00(cnul, cMS2_reg, cMS2_reg)
    Ten17 = DB0(cnul, cMU2_reg, cMU2_reg)
    Ten18 = DB0(cnul, cMC2_reg, cMC2_reg)
    Ten19 = DB0(cnul, cMD2_reg, cMD2_reg)
    Ten20 = DB0(cnul, cMS2_reg, cMS2_reg)
    Ten21 = DB00(cnul, cMU2_reg, cMU2_reg)
    Ten22 = DB00(cnul, cMC2_reg, cMC2_reg)
    Ten23 = DB00(cnul, cMD2_reg, cMD2_reg)
    Ten24 = DB00(cnul, cMS2_reg, cMS2_reg)
    Ten25 = HT(cMU2_reg, cMU2_reg)
    Ten26 = HT(cMC2_reg, cMC2_reg)
    Ten27 = HT(cMD2_reg, cMD2_reg)
    Ten28 = HT(cMS2_reg, cMS2_reg)
    Ten29 = B0(cMU2_reg, cnul, cMU2_reg)
    Ten30 = B1(cMU2_reg, cnul, cMU2_reg)
    Ten31 = B0(cMU2_reg, cMU2_reg, cMZ2_reg)
    Ten32 = B0(cMU2_reg, cMD2_reg, cMW2_reg)
    Ten33 = B0(cMU2_reg, cMH2_reg, cMU2_reg)
    Ten34 = B1(cMU2_reg, cMU2_reg, cMZ2_reg)
    Ten35 = B1(cMU2_reg, cMD2_reg, cMW2_reg)
    Ten36 = B1(cMU2_reg, cMH2_reg, cMU2_reg)
    Ten37 = DB0(cMU2_reg, cMU2_reg, cMZ2_reg)
    Ten38 = DB0(cMU2_reg, cnul, cMU2_reg)
    Ten39 = DB0(cMU2_reg, cMD2_reg, cMW2_reg)
    Ten40 = DB0(cMU2_reg, cMH2_reg, cMU2_reg)
    Ten41 = DB1(cMU2_reg, cMU2_reg, cMZ2_reg)
    Ten42 = DB1(cMU2_reg, cnul, cMU2_reg)
    Ten43 = DB1(cMU2_reg, cMD2_reg, cMW2_reg)
    Ten44 = DB1(cMU2_reg, cMH2_reg, cMU2_reg)
    Ten45 = B0(cnul, cMD2_reg, cMW2_reg)
    Ten46 = B1(cnul, cMD2_reg, cMW2_reg)
    Ten47 = B1(cnul, cnul, cMZ2_reg)
    Ten48 = B1(cnul, cnul, cMH2_reg)
    Ten49 = B0(cMD2_reg, cnul, cMD2_reg)
    Ten50 = B1(cMD2_reg, cnul, cMD2_reg)
    Ten51 = B0(cMD2_reg, cMD2_reg, cMZ2_reg)
    Ten52 = B0(cMD2_reg, cMD2_reg, cMH2_reg)
    Ten53 = B0(cMD2_reg, cMU2_reg, cMW2_reg)
    Ten54 = B1(cMD2_reg, cMD2_reg, cMZ2_reg)
    Ten55 = B1(cMD2_reg, cMD2_reg, cMH2_reg)
    Ten56 = B1(cMD2_reg, cMU2_reg, cMW2_reg)
    Ten57 = DB0(cMD2_reg, cMD2_reg, cMZ2_reg)
    Ten58 = DB0(cMD2_reg, cMD2_reg, cMH2_reg)
    Ten59 = DB0(cMD2_reg, cnul, cMD2_reg)
    Ten60 = DB0(cMD2_reg, cMU2_reg, cMW2_reg)
    Ten61 = DB1(cMD2_reg, cMD2_reg, cMZ2_reg)
    Ten62 = DB1(cMD2_reg, cMD2_reg, cMH2_reg)
    Ten63 = DB1(cMD2_reg, cnul, cMD2_reg)
    Ten64 = DB1(cMD2_reg, cMU2_reg, cMW2_reg)
    Ten65 = B0(cnul, cMU2_reg, cMW2_reg)
    Ten66 = B1(cnul, cMU2_reg, cMW2_reg)
    Ten67 = B0(rMC2, cnul, cMC2_reg)
    Ten68 = B1(rMC2, cnul, cMC2_reg)
    Ten69 = B0(rMC2, cMC2_reg, cMZ2_reg)
    Ten70 = B0(rMC2, cMC2_reg, cMH2_reg)
    Ten71 = B0(rMC2, cMS2_reg, cMW2_reg)
    Ten72 = B1(rMC2, cMC2_reg, cMZ2_reg)
    Ten73 = B1(rMC2, cMC2_reg, cMH2_reg)
    Ten74 = B1(rMC2, cMS2_reg, cMW2_reg)
    Ten75 = DB0(rMC2, cMC2_reg, cMZ2_reg)
    Ten76 = DB0(rMC2, cMC2_reg, cMH2_reg)
    Ten77 = DB0(rMC2, cnul, cMC2_reg)
    Ten78 = DB0(rMC2, cMS2_reg, cMW2_reg)
    Ten79 = DB1(rMC2, cMC2_reg, cMZ2_reg)
    Ten80 = DB1(rMC2, cMC2_reg, cMH2_reg)
    Ten81 = DB1(rMC2, cnul, cMC2_reg)
    Ten82 = DB1(rMC2, cMS2_reg, cMW2_reg)
    Ten83 = B0(cMC2_reg, cnul, cMC2_reg)
    Ten84 = B1(cMC2_reg, cnul, cMC2_reg)
    Ten85 = B0(cMC2_reg, cMC2_reg, cMZ2_reg)
    Ten86 = B0(cMC2_reg, cMC2_reg, cMH2_reg)
    Ten87 = B0(cMC2_reg, cMS2_reg, cMW2_reg)
    Ten88 = B1(cMC2_reg, cMC2_reg, cMZ2_reg)
    Ten89 = B1(cMC2_reg, cMC2_reg, cMH2_reg)
    Ten90 = B1(cMC2_reg, cMS2_reg, cMW2_reg)
    Ten91 = DB0(cMC2_reg, cMC2_reg, cMZ2_reg)
    Ten92 = DB0(cMC2_reg, cMC2_reg, cMH2_reg)
    Ten93 = DB0(cMC2_reg, cnul, cMC2_reg)
    Ten94 = DB0(cMC2_reg, cMS2_reg, cMW2_reg)
    Ten95 = DB1(cMC2_reg, cMC2_reg, cMZ2_reg)
    Ten96 = DB1(cMC2_reg, cMC2_reg, cMH2_reg)
    Ten97 = DB1(cMC2_reg, cnul, cMC2_reg)
    Ten98 = DB1(cMC2_reg, cMS2_reg, cMW2_reg)
    Ten99 = B0(cnul, cMS2_reg, cMW2_reg)
    Ten100 = B1(cnul, cMS2_reg, cMW2_reg)
    Ten101 = B0(cMS2_reg, cnul, cMS2_reg)
    Ten102 = B1(cMS2_reg, cnul, cMS2_reg)
    Ten103 = B0(cMS2_reg, cMS2_reg, cMZ2_reg)
    Ten104 = B0(cMS2_reg, cMC2_reg, cMW2_reg)
    Ten105 = B0(cMS2_reg, cMH2_reg, cMS2_reg)
    Ten106 = B1(cMS2_reg, cMS2_reg, cMZ2_reg)
    Ten107 = B1(cMS2_reg, cMC2_reg, cMW2_reg)
    Ten108 = B1(cMS2_reg, cMH2_reg, cMS2_reg)
    Ten109 = DB0(cMS2_reg, cMS2_reg, cMZ2_reg)
    Ten110 = DB0(cMS2_reg, cnul, cMS2_reg)
    Ten111 = DB0(cMS2_reg, cMC2_reg, cMW2_reg)
    Ten112 = DB0(cMS2_reg, cMH2_reg, cMS2_reg)
    Ten113 = DB1(cMS2_reg, cMS2_reg, cMZ2_reg)
    Ten114 = DB1(cMS2_reg, cnul, cMS2_reg)
    Ten115 = DB1(cMS2_reg, cMC2_reg, cMW2_reg)
    Ten116 = DB1(cMS2_reg, cMH2_reg, cMS2_reg)
    Ten117 = B0(cnul, cMC2_reg, cMW2_reg)
    Ten118 = B1(cnul, cMC2_reg, cMW2_reg)
    Ten119 = B0(cnul, cMC2_reg, cMC2_reg)

  end subroutine set_modelintegrals

end module modelintegrals
